dgy
/
hexagons
Archived
1
0
Fork 0

limpieza y reorganizacion masiva. la migracion a void cada vez mas cerca

This commit is contained in:
deadguy 2020-03-29 16:16:35 -03:00
parent 0ec882fa3c
commit f0318d90b9
Signed by: dgy
GPG Key ID: 37CA55B52CF63730
103 changed files with 817 additions and 1602 deletions

View File

@ -1,87 +0,0 @@
! special
*.foreground: #d3d7cf
*.background: #080808
*.cursorColor: #d3d7cf
! black
*.color0: #222222
*.color8: #555555
! red
*.color1: #ec5252
*.color9: #fb4934
! green
*.color2: #407e4a
*.color10: #98971a
! yellow
*.color3: #d79921
*.color11: #fabd2f
! blue
*.color4: #008bbd
*.color12: #0474a7
! magenta
*.color5: #b16286
*.color13: #d3869b
! cyan
*.color6: #689d64
*.color14: #8ec07c
! white
*.color7: #a89984
*.color15: #c9c9c9
URxvt.font: xft:blex mono nerd font:pixelsize=14
URxvt.boldFont:
URxvt.perl-ext-common: default,clipboard,url-select
URxvt.urlLauncher: /usr/bin/firefox -new-tab
URxvt.url-select.launcher: /usr/bin/firefox -new-tab
URxvt.url-select.underline: true
URxvt.urlButton: 1
URxvt.colorUL: #4682B4
URxvt.lineSpace: 0
URxvt.secondaryScreen: 1
URxvt.secondaryScroll: 0
URxvt.secondaryWheel: 1
URxvt.print-pipe: "cat > /dev/null"
URxvt.keysym.Shift-Control-C: perl:clipboard:copy
URxvt.keysym.Shift-Control-V: perl:clipboard:paste
URxvt.keysym.M-u: perl:url-select:select_next
URxvt.keysym.C-minus: resize-font:smaller
URxvt.keysym.C-equal: resize-font:bigger
URxvt.keysym.C-0: resize-font:reset
URxvt.keysym.C-question: resize-font:show
URxvt.clipboard.autocopy: true
URxvt.intensityStyles: false
URxvt*internalBorder: 12
URxvt*externalBorder: 0
URxvt*scrollBar: false
URxvt*scrollBar_right: false
URxvt*letterSpace: 0
URxvt*depth: 32
URxvt*saveline: 0
URxvt*scrollTtyOutput: false
URxvt*scrollWithBuffer: true
URxvt*scrollTtyKeypress: true
URxvt*iso14755: false
URxvt*iso14755_52: false
URxvt*dynamicColors: on
URxvt*cutchars: "\"()*,<>[]{}|\'"
! esto afecta a pd-l2ork y otras cosas, guarda
Xft.autohint: 0
Xft.lcdfilter: lcddefault
Xft.hintstyle: hintmedium
Xft.hinting: 1
Xft.antialias: 1
Xft.rgba: rgb
Xcursor.theme: Alkano
Sxiv.font: tamzen:size=10
Sxiv.foreground: #d3d7cf
Sxiv.background: #080808

55
.config/X11/xresources Normal file
View File

@ -0,0 +1,55 @@
! special
*.foreground: #b3b1ad
*.background: #080808
*.cursorColor: #b3b1ad
! black
*.color0: #0a0e14
*.color8: #222222
! red
*.color1: #ff3333
*.color9: #ff3333
! green
*.color2: #aec82a
*.color10: #bae67e
! yellow
*.color3: #ffb454
*.color11: #ffd580
! blue
*.color4: #008bbd
*.color12: #73d0ff
! magenta
*.color5: #ab6ba6
*.color13: #f28779
! cyan
*.color6: #6fa69f
*.color14: #95e6cb
! white
*.color7: #a89984
*.color15: #ffffff
!st.font: JetBrainsMono Nerd Font:pixelsize=15:antialias=true:autohint=true;
!st.alpha: 0.85
! dmenu
dmenu.font: SF Pro Text:pixelsize=16:antialias=true:autohint=true;
Xft.autohint: 0
Xft.lcdfilter: lcddefault
Xft.hintstyle: hintmedium
Xft.hinting: 1
Xft.antialias: 1
Xft.rgba: rgb
Xcursor.theme: Alkano
Sxiv.font: cozette:size=10
Sxiv.foreground: #d3d7cf
Sxiv.background: #080808

View File

@ -1,22 +1,37 @@
#!/usr/bin/env bash
set -euf -o pipefail
multipantalla &
bspc rule -r "*"
# Si se usa un numero negativo en *_padding, solamente se ven huecos entre las ventanas, pero no entre las ventanas y los bordes del escritorio
monitors=("$(xrandr --listactivemonitors | awk '{print $4}' | sed '/^$/d')")
if [ "${#monitors[@]}" == "2" ]; then
bspc monitor "${monitors[0]}" -d 1 2 3 4 5
bspc monitor "${monitors[1]}" -d 6 7 8 9 10
if xrandr | grep "VGA1 connected"; then
xrandr --output LVDS1 --auto --output VGA1 --auto --right-of LVDS1
fi
setbg &
fi
bspc monitor -d 1 2 3 4 5 6 7 8 9 10
bspc config border_width 4
bspc config window_gap 6
bspc config top_padding 0
bspc config left_padding 0
bspc config right_padding 0
bspc config bottom_padding 0
bspc config split_ratio 0.50
# Opciones
bspc config gapless_monocle true
bspc config borderless_monocle true
bspc config single_monocle true
bspc config remove_unplugged_monitors true
bspc config remove_disabled_monitors true
bspc config ignore_ewmh_focus true
bspc config remove_unplugged_monitors false
bspc config remove_disabled_monitors false
bspc config honor_size_hints false
bspc config directional_focus_tightness low
bspc config automatic_scheme longest_side
@ -26,24 +41,19 @@ bspc config pointer_modifier mod4
bspc config pointer_action1 resize_side
bspc config pointer_action2 resize_corner
bspc config pointer_action3 move
bspc config split_ratio 0.50
# xrdb
get_xrdb() {
xrdb -query | grep "$1" | awk '{print $2}' | tail -n1
}
xrdb -merge "${HOME}/.Xresources"
# Colores
bspc config normal_border_color "$(get_xrdb color0)"
bspc config focused_border_color "$(get_xrdb color4)"
bspc config active_border_color "$(get_xrdb color8)"
bspc config presel_feedback_color "$(get_xrdb color5)"
bspc config border_width 2
# Flotantes
# bspc rule -a REAPER state=floating, layer=below
bspc rule -a Pysol state=floating
bspc rule -a Pavucontrol state=floating
bspc rule -a Catia state=floating
bspc rule -a Cadence state=floating
@ -52,28 +62,19 @@ bspc rule -a mpv state=floating
bspc rule -a Gucharmap state=floating
bspc rule -a File-roller state=floating
bspc rule -a obs state=floating
bspc rule -a Pd-l2ork state=floating
bspc rule -a PdWindow state=floating
bspc rule -a PatchWindow state=floating
bspc rule -a Nm-connection-editor state=floating
bspc rule -a Godot state=floating
bspc rule -a Pinentry state=floating
bspc rule -a Termite:flota state=floating
bspc rule -a St:flota state=floating
bspc rule -a Toplevel state=floating
bspc rule -a Firefox state=floating
bspc rule -a Lxappearance state=floating
# Otros
bspc rule -a Zathura state=tiled
bspc rule -a Firefox:Navigator state=tiled, desktop=^2 follow=on
bspc rule -a Termite:archi desktop='^3'
bspc rule -a Termite:multi desktop='^1'
bspc rule -a Firefox:Navigator state=tiled, desktop='^2'
bspc rule -a St:multi desktop='^1'
unclutter &
sleep 3s
if xrandr | grep "VGA1 connected"; then
xrandr --output LVDS1 --auto --output VGA1 --auto --right-of LVDS1
fi
setbg &
xsetroot -cursor_name left_ptr &
borders &

View File

@ -0,0 +1,11 @@
Section "Monitor"
Identifier "LVDS1"
Option "DPMS" "true"
EndSection
Section "ServerLayout"
Identifier "ServerLayout0"
Option "StandbyTime" "10"
Option "SuspendTime" "20"
Option "OffTime" "30"
EndSection

View File

@ -1,6 +0,0 @@
[device-mac-randomization]
wifi.scan-rand-mac-address=yes
[connection-mac-randomization]
ethernet.cloned-mac-address=random
wifi.cloned-mac-address=random

View File

@ -1,19 +0,0 @@
<?xml version="1.0"?>
<!DOCTYPE fontconfig SYSTEM "fonts.dtd">
<fontconfig>
<match>
<edit mode="prepend" name="family"><string>IBM Plex Sans</string></edit>
</match>
<match target="pattern">
<test qual="any" name="family"><string>serif</string></test>
<edit name="family" mode="assign" binding="same"><string>IBM Plex Serif</string></edit>
</match>
<match target="pattern">
<test qual="any" name="family"><string>sans-serif</string></test>
<edit name="family" mode="assign" binding="same"><string>IBM Plex Sans</string></edit>
</match>
<match target="pattern">
<test qual="any" name="family"><string>monospace</string></test>
<edit name="family" mode="assign" binding="same"><string>IBM Plex Mono</string></edit>
</match>
</fontconfig>

View File

@ -1,147 +0,0 @@
#
# /etc/makepkg.conf
#
#########################################################################
# SOURCE ACQUISITION
#########################################################################
#
#-- The download utilities that makepkg should use to acquire sources
# Format: 'protocol::agent'
DLAGENTS=('ftp::/usr/bin/curl -fC - --ftp-pasv --retry 3 --retry-delay 3 -o %o %u'
'http::/usr/bin/curl -fLC - --retry 3 --retry-delay 3 -o %o %u'
'https::/usr/bin/curl -fLC - --retry 3 --retry-delay 3 -o %o %u'
'rsync::/usr/bin/rsync --no-motd -z %u %o'
'scp::/usr/bin/scp -C %u %o')
# Other common tools:
# /usr/bin/snarf
# /usr/bin/lftpget -c
# /usr/bin/wget
#-- The package required by makepkg to download VCS sources
# Format: 'protocol::package'
VCSCLIENTS=('bzr::bzr'
'git::git'
'hg::mercurial'
'svn::subversion')
#########################################################################
# ARCHITECTURE, COMPILE FLAGS
#########################################################################
#
CARCH="x86_64"
CHOST="x86_64-pc-linux-gnu"
#-- Compiler and Linker Flags
# -march (or -mcpu) builds exclusively for an architecture
# -mtune optimizes for an architecture, but builds for whole processor family
CPPFLAGS="-D_FORTIFY_SOURCE=2"
CFLAGS="-march=native -O2 -pipe -fstack-protector-strong -fno-plt"
CXXFLAGS="${CFLAGS}"
LDFLAGS="-Wl,-O1,--sort-common,--as-needed,-z,relro,-z,now"
#-- Make Flags: change this for DistCC/SMP systems
MAKEFLAGS="-j$(nproc)"
#-- Debugging flags
DEBUG_CFLAGS="-g -fvar-tracking-assignments"
DEBUG_CXXFLAGS="-g -fvar-tracking-assignments"
#########################################################################
# BUILD ENVIRONMENT
#########################################################################
#
# Defaults: BUILDENV=(!distcc color !ccache check !sign)
# A negated environment option will do the opposite of the comments below.
#
#-- distcc: Use the Distributed C/C++/ObjC compiler
#-- color: Colorize output messages
#-- ccache: Use ccache to cache compilation
#-- check: Run the check() function if present in the PKGBUILD
#-- sign: Generate PGP signature file
#
BUILDENV=(!distcc color ccache check !sign)
#
#-- If using DistCC, your MAKEFLAGS will also need modification. In addition,
#-- specify a space-delimited list of hosts running in the DistCC cluster.
#DISTCC_HOSTS=""
#
#-- Specify a directory for package building.
#BUILDDIR=/tmp/makepkg
#########################################################################
# GLOBAL PACKAGE OPTIONS
# These are default values for the options=() settings
#########################################################################
#
# Default: OPTIONS=(strip docs !libtool !staticlibs emptydirs zipman purge !optipng !upx !debug)
# A negated option will do the opposite of the comments below.
#
#-- strip: Strip symbols from binaries/libraries
#-- docs: Save doc directories specified by DOC_DIRS
#-- libtool: Leave libtool (.la) files in packages
#-- staticlibs: Leave static library (.a) files in packages
#-- emptydirs: Leave empty directories in packages
#-- zipman: Compress manual (man and info) pages in MAN_DIRS with gzip
#-- purge: Remove files specified by PURGE_TARGETS
#-- optipng: Optimize PNG images with optipng
#-- upx: Compress binary executable files using UPX
#-- debug: Add debugging flags as specified in DEBUG_* variables
#
OPTIONS=(strip docs !libtool !staticlibs emptydirs zipman purge !optipng !upx !debug)
#-- File integrity checks to use. Valid: md5, sha1, sha256, sha384, sha512
INTEGRITY_CHECK=(md5)
#-- Options to be used when stripping binaries. See `man strip' for details.
STRIP_BINARIES="--strip-all"
#-- Options to be used when stripping shared libraries. See `man strip' for details.
STRIP_SHARED="--strip-unneeded"
#-- Options to be used when stripping static libraries. See `man strip' for details.
STRIP_STATIC="--strip-debug"
#-- Manual (man and info) directories to compress (if zipman is specified)
MAN_DIRS=({usr{,/local}{,/share},opt/*}/{man,info})
#-- Doc directories to remove (if !docs is specified)
DOC_DIRS=(usr/{,local/}{,share/}{doc,gtk-doc} opt/*/{doc,gtk-doc})
#-- Files to be removed from all packages (if purge is specified)
PURGE_TARGETS=(usr/{,share}/info/dir .packlist *.pod)
#########################################################################
# PACKAGE OUTPUT
#########################################################################
#
# Default: put built package and cached source in build directory
#
#-- Destination: specify a fixed directory where all packages will be placed
#PKGDEST=/home/packages
#-- Source cache: specify a fixed directory where source files will be cached
#SRCDEST=/home/sources
#-- Source packages: specify a fixed directory where all src packages will be placed
#SRCPKGDEST=/home/srcpackages
#-- Log files: specify a fixed directory where all log files will be placed
#LOGDEST=/home/makepkglogs
#-- Packager: name/email of the person or organization building packages
#PACKAGER="John Doe <john@doe.com>"
#-- Specify a key to use for package signing
#GPGKEY=""
#########################################################################
# COMPRESSION DEFAULTS
#########################################################################
#
COMPRESSGZ=(gzip -c -f -n)
COMPRESSBZ2=(bzip2 -c -f)
COMPRESSXZ=(xz -c -z - --threads=0)
COMPRESSLRZ=(lrzip -q)
COMPRESSLZO=(lzop -q)
COMPRESSZ=(compress -c -f)
#########################################################################
# EXTENSION DEFAULTS
#########################################################################
#
# WARNING: Do NOT modify these variables unless you know what you are
# doing.
#
PKGEXT='.pkg.tar.xz'
SRCEXT='.src.tar.gz'
# vim: set ft=sh ts=2 sw=2 et:

View File

@ -1,29 +0,0 @@
# copy this file to /etc/
[settings]
usehal = false
[looks]
opacity = 45
bgcolor = black
buttontheme = rounded
buttons = lock, logout, restart, shutdown
[shortcuts]
lock = K
logout = L
switch = W
suspend = U
hibernate = H
restart = R
shutdown = S
cancel = Escape
[commands]
lock = exeflock4
logout = bspc quit 1
switch = dm-tool switch-to-greeter
suspend = fluxboxexit suspend
hibernate = fluxboxexit hibernate
restart = fluxboxexit reboot
shutdown = fluxboxexit shutdown

View File

@ -3,7 +3,7 @@
markup = full
format = "<b>%s</b>\n%b"
sort = yes
indicate_hidden = no
indicate_hidden = no
alignment = left
bounce_freq = 0
show_age_threshold = -1
@ -58,7 +58,7 @@
separator_color = frame
startup_notification = false
dmenu = /usr/bin/dmenu
dmenu = /usr/bin/dmenu -p dunst:
browser = /usr/bin/firefox -new-tab
icon_position = right # Align icons left/right/off
max_icon_size = 0

View File

@ -17,7 +17,7 @@ window decoration {
VteTerminal,
vte-terminal {
padding: 5px;
padding-bottom: 0;
padding-bottom: 1px;
}
.termite {

View File

@ -67,7 +67,6 @@ handle_extension() {
# HTML
htm|html|xhtml)
# Preview as text conversion
w3m -dump "${FILE_PATH}"
lynx -dump -- "${FILE_PATH}"
elinks -dump "${FILE_PATH}"
;; # Continue with next handler on failure
@ -84,7 +83,7 @@ handle_extension() {
handle_mime() {
local mimetype="${1}"
case "${mimetype}" in
text/html) w3m -dump "${FILE_PATH}" ;;
text/html) lynx -dump "${FILE_PATH}" ;;
text/troff) man ./ "${FILE_PATH}" | col -b ;;
text/* | */xml)
# Syntax highlight
@ -92,10 +91,8 @@ handle_mime() {
exit 2
fi
if [ "$( tput colors )" -ge 256 ]; then
local pygmentize_format='terminal256'
local highlight_format='xterm256'
else
local pygmentize_format='terminal'
local highlight_format='ansi'
fi
highlight --replace-tabs="${HIGHLIGHT_TABWIDTH}" --out-format="${highlight_format}" \

View File

@ -3,23 +3,21 @@ set shell zsh
set shellopts '-eu:--shwordsplit'
set ifs "\n"
set scrolloff 5
set previewer ~/bin/lf-preview
set previewer ~/.config/lf/lf-preview
set wrapscroll
set number
set sortby time
set info size:time
set reverse
set incsearch
set ratios '1:3:2'
set color256
set icons
%{{
w=$(tput cols)
if [ $w -le 80 ]; then
lf -remote "send $id set ratios 5:1"
lf -remote "send $id set ratios 1:1"
elif [ $w -le 160 ]; then
lf -remote "send $id set ratios 1:3:2"
lf -remote "send $id set ratios 1:2:2"
else
lf -remote "send $id set ratios 1:3:2"
fi
@ -27,113 +25,184 @@ set icons
# Custom Functions
cmd open ${{
case $(file --mime-type $f -b) in
case $(file --mime-type $f -bL) in
text/troff) man ./ $f;;
text/*) $EDITOR $fx;;
image/x-xcf|image/svg+xml) setsid gimp $f >/dev/null 2>&1 & ;;
image/gif) setsid sxiv-gif $f 2>/dev/null & ;;
image/*) setsid sxiv-rifle $f 2>/dev/null & ;;
audio/*) mpv $f ;;
video/*) setsid mpv $f >/dev/null 2>&1 & ;;
audio/*) mpv --input-ipc-server=/tmp/mpvsoc$(date +%%s) $f ;;
video/*) setsid mpv --input-ipc-server=/tmp/mpvsoc$(date +%%s) $f -quiet >/dev/null 2>&1 & ;;
application/pdf|application/cbz|application/cbr) setsid zathura $fx >/dev/null 2>&1 & ;;
*) for f in $fx; do setsid $OPENER $f >/dev/null 2>&1 & done;;
*) for f in $fx; do setsid $OPENER $f > /dev/null 2> /dev/null & done;;
esac
}}
cmd rename %[ -e $1 ] && printf "file exists" || mv $f $1
cmd bulkrename ${{
old=$(mktemp)
new=$(mktemp)
[ -n $fs ] && fs=$(ls)
printf "$fs\n" > $old
printf "$fs\n" > $new
$EDITOR $new
[ $(cat $new | wc -l) -ne $(cat $old | wc -l) ] && exit
paste $old $new | while read names; do
src=$(printf $names | cut -f1)
dst=$(printf $names | cut -f2)
[ $src = $dst ] && continue
[ -e $dst ] && continue
mv $src $dst
done
rm $old $new
lf -remote "send $id unselect"
old=$(mktemp)
new=$(mktemp)
[ -n $fs ] && fs=$(ls)
printf "$fs\n" > $old
printf "$fs\n" > $new
$EDITOR $new
[ $(cat $new | wc -l) -ne $(cat $old | wc -l) ] && exit
paste $old $new | while read names; do
src=$(printf $names | cut -f1)
dst=$(printf $names | cut -f2)
[ $src = $dst ] && continue
[ -e $dst ] && continue
mv $src $dst
done
rm $old $new
lf -remote "send $id unselect"
}}
cmd extract ${{
set -f
case $f in
*.tar.bz|*.tar.bz2|*.tbz|*.tbz2) tar xjvf $f;;
*.tar.gz|*.tgz) tar xzvf $f;;
*.tar.xz|*.txz) tar xJvf $f;;
*.zip) unzip $f;;
*.rar) unrar x $f;;
*.7z) 7z x $f;;
esac
# insert
cmd rename-insert &{{
if [ "$(echo "$fx" | wc -l)" -gt 1 ]; then
lf -remote "send $id echo You can't change more than one file name"
lf -remote "send $id unselect"
else
len="$(basename "$f" | wc -m)" # length of selected file/directory
for i in $(seq "$len"); do
pos="${pos}<left>" # how many times do I have to press <left> in order to get first char
done
lf -remote "send $id rename"
lf -remote "send $id push $pos"
fi
}}
# compress current file or selected files with tar and gunzip
cmd tar ${{
set -f
mkdir $1
cp -r $fx $1
tar czf $1.tar.gz $1
rm -rf $1
# append before ext
cmd rename-before-ext &{{
if [ "$(echo "$fx" | wc -l)" -gt 1 ]; then
lf -remote "send $id echo You can't change more than one file name"
lf -remote "send $id unselect"
else
if [ -d "$f" ]; then
lf -remote "send $id rename"
else
ext_len="$(echo ${f##*.} | wc -m)" # extention length
for i in $(seq "$ext_len"); do
pos="${pos}<left>"
done
lf -remote "send $id rename"
lf -remote "send $id push "$pos""
fi
fi
}}
# compress current file or selected files with zip
cmd zip ${{
set -f
mkdir $1
cp -r $fx $1
zip -r $1.zip $1
rm -rf $1
# change its name entirely
cmd rename-new &{{
if [ "$(echo "$fx" | wc -l)" -gt 1 ]; then
lf -remote "send $id echo You can't change more than one file name"
lf -remote "send $id unselect"
else
lf -remote "send $id rename"
lf -remote "send $id push <c-u>"
fi
}}
cmd paste %{{
load=$(lf -remote 'load')
mode=$(echo "$load" | sed -n '1p')
list=$(echo "$load" | sed '1d')
if [ $mode = 'copy' ]; then
cp -r --backup=numbered $list .
elif [ $mode = 'move' ]; then
mv --backup=numbered $list .
fi
cmd moveto ${{
set -f
clear; echo "Move to where?"
dest="$(cut -d' ' -f2- ~/.config/directories | fzf)" &&
eval mv -iv $fx $dest &&
notify-send "File(s) moved to $dest."
}}
lf -remote 'send load'
lf -remote 'send clear'
cmd copyto ${{
set -f
clear; echo "Copy to where?"
dest="$(cut -d' ' -f2- ~/.config/directories | fzf)" &&
eval cp -ivr $fx $dest &&
notify-send "File(s) copies to $dest."
}}
cmd paste ${{
send="while read -r line; do lf -remote \"send $id echo \$line\"; done && lf -remote 'send reload'"
load=$(lf -remote 'load')
mode=$(echo "$load" | sed -n '1p')
list=$(echo "$load" | sed '1d')
s='' && [ ! -w . ] && s='sudo'
case "$mode" in
copy) cmd='cp-p';; move) cmd='mv-p';;
esac
cmd="$cmd --new-line"
for f in $list; do
$s sh -c "$cmd --backup=numbered \"$f\" . | $send &"
done
lf -remote 'send load'
lf -remote 'send clear'
}}
cmd paste-rsync &{{
load=$(lf -remote 'load')
mode=$(echo "$load" | sed -n '1p')
list=$(echo "$load" | sed '1d')
load=$(lf -remote 'load')
mode=$(echo "$load" | sed -n '1p')
list=$(echo "$load" | sed '1d')
if [ $mode = 'copy']; then
rsync -av --ignore-existing --progress $list . \
| stdbuf -i0 -o0 -e0 tr '\r' '\n' \
| while read line; do
lf -remote "send $id echo $line"
done
elif [ $mode = 'move' ]; then
mv -n $list .
fi
if [ $mode = 'copy']; then
rsync -av --ignore-existing --progress $list . \
| stdbuf -i0 -o0 -e0 tr '\r' '\n' \
| while read line; do
lf -remote "send $id echo $line"
done
elif [ $mode = 'move' ]; then
mv -n $list .
fi
lf -remote 'send load'
lf -remote 'send clear'
lf -remote 'send load'
lf -remote 'send clear'
}}
cmd fzf_jump ${{
res="$(find . -maxdepth 3 | fzf-tmux --reverse --header='Jump to location')"
if [ -f "$res" ]; then
cmd="select"
elif [ -d "$res" ]; then
cmd="cd"
fi
res="$(find . -maxdepth 3 | fzf-tmux --reverse --header='Jump to location')"
if [ -f "$res" ]; then
cmd="select"
elif [ -d "$res" ]; then
cmd="cd"
fi
lf -remote "send $id $cmd \"$res\""
lf -remote "send $id $cmd \"$res\""
}}
cmd broot_jump ${{
f=$(mktemp)
res="$(broot --outcmd $f && cat $f | sed 's/cd //')"
rm -f "$f"
if [ -f "$res" ]; then
cmd="select"
elif [ -d "$res" ]; then
cmd="cd"
fi
lf -remote "send $id $cmd \"$res\""
}}
cmd Link %{{
lf -remote 'load' | while read file; do
if [ ! -n "${mode+1}" ]; then
mode="$file"
continue
fi
files+=("$file")
done
if [ "${#files[@]}" -le 1 ]; then
lf -remote "send $id echo no files to link"
exit 0
fi
# symbolicly copy mode is indicating a soft link
if [[ "$mode" == copy ]]; then
ln -sr $files -t .
# while a move mode is indicating a hard link
elif [[ "$mode" == move ]]; then
ln $files -t .
fi
}}
cmd nopreview &{{
lf -remote "send $id set nopreview"
lf -remote "send $id set ratios 1:3" # or whatever
}}
# Bindings
@ -151,13 +220,12 @@ map u
map e
map /
# Basic Functions
cmap <esc> cmd-escape
map | top
map ¿ bottom
map <f-2> push :rename<space>
map <f-2> push A<c-u>
map <f-3> cut
map <f-4> copy
map <f-5> reload
@ -177,25 +245,30 @@ map dd cut
map D %mv -i $fs .
map pp paste
map pr paste-rsync
map . set hidden!
map uu unselect
map uy clear
map S shell
# Rename with the filename on the command line
map ra $lf -remote "send $id push :rename<space>$f"
# Rename with the filename without the extension
map re $lf -remote "send $id push :rename<space>$f<a-b><a-d>"
map cc push A<c-u> # new rename
map I push A<c-a> # at the very beginning
map A rename # at the very end
map i push A<a-b><c-b>. # before extension
map a push A<a-b> # after extension
map B bulkrename
map bg $setbg $f
map cx %chmod +x $f
map o open $f
map P :Link
map f broot_jump
map <tab> $lf -remote "send $id select '$(fzf)'"
map / $lf -remote "send $id select \"$(FZF_DEFAULT_COMMAND='fd --max-depth=1' fzf-tmux)\""
map F $find | lf -remote "send $id select $(fzf-tmux --height 50% --reverse --border --margin 5% --inline-info --color border:#005688,bg+:#16252E,fg+:#26c6da,hl+:#ffffff,hl:#26c6da)"
map cx %chmod +x $f
map bg $setbg $f
map o open $f
map u %du -sh $f
# Movement
map gu cd ~/Documents/
map gE cd /etc
@ -203,11 +276,11 @@ map gU cd /usr
map gd cd ~/Downloads
map g. cd ~/.config
map gs cd ~/.local/share
map gm cd ~/Music/Albums
map gb cd ~/bin
map gM cd /run/media/deadguy
map gr cd /run/media/deadguy
map gm cd /mnt/remote
map gc cd /mnt/cel
map gb cd ~/.local/bin
map gR cd /
map gv cd ~/Videos/Learning
map gp cd ~/Pictures
map gC cd ~/cel
map cg $$EDITOR ~/.config/lf/lfrc

View File

@ -1,16 +1,14 @@
music_directory "~/Music/Albums/"
playlist_directory "~/Music/Albums/0playlists"
db_file "~/.config/mpd/mpd.db"
log_file "~/.config/mpd/mpd.log"
pid_file "~/.config/mpd/mpd.pid"
state_file "~/.config/mpd/mpdstate"
sticker_file "~/.config/mpd/sticker.sql"
user "deadguy"
# playlist_directory "~/Music/Albums/0playlists"
music_directory "/mnt/remote"
db_file "~/.config/mpd/mpd.db"
log_file "~/.config/mpd/mpd.log"
pid_file "~/.config/mpd/mpd.pid"
state_file "~/.config/mpd/mpdstate"
sticker_file "~/.config/mpd/sticker.sql"
audio_output {
type "pulse"
name "pulse audio"
type "pulse"
name "pulse audio"
}
audio_output {
@ -30,14 +28,13 @@ playlist_plugin {
enabled "true"
}
bind_to_address "127.0.0.1"
bind_to_address "~/.config/mpd/socket"
port "6600"
gapless_mp3_playback "yes"
log_level "default"
restore_paused "no"
save_absolute_paths_in_playlists "no"
auto_update "yes"
auto_update_depth "3"
metadata_to_use "artist,album,title,track,name,composer,performer,disc"
follow_outside_symlinks "no"
bind_to_address "127.0.0.1"
bind_to_address "~/.config/mpd/socket"
port "6600"
log_level "default"
restore_paused "no"
save_absolute_paths_in_playlists "no"
follow_outside_symlinks "no"
auto_update "yes"
auto_update_depth "3"
metadata_to_use "artist,album,title,track,name,composer,performer,disc"

View File

@ -4,37 +4,15 @@
# - Add ``needsterminal`` for commands that use the terminal
# - Add ``copiousoutput`` for commands that dump text to stdout
image/gif; sxiv-gif -p -b -a %s; test=test -n "$DISPLAY"
image/*; sxiv -p -b -q %s; test=test -n "$DISPLAY"
video/*; setsid nohup mpv --quiet %s & disown; test=test -n "$DISPLAY"; copiousoutput
audio/*; setsid nohup mpv --quiet %s & disown; test=test -n "$DISPLAY"; copiousoutput
image/gif; sxiv-gif %s; test=test -n "$DISPLAY"
image/*; sxiv-rifle %s; test=test -n "$DISPLAY"
video/*; setsid mpv --quiet %s & disown; test=test -n "$DISPLAY"; copiousoutput
audio/*; setsid mpv --quiet %s & disown; test=test -n "$DISPLAY"; copiousoutput
application/pdf; zathura %s & disown; test=test -n "$DISPLAY"
# Autoview html
text/html; w3m -I %{charset} -T text/html; copiousoutput
text/plain; less %s; edit=nvim; compose=nvim; needsterminal
text/*; less %s; edit=nvim; compose=nvim; needsterminal
text/plain; $EDITOR %s ;
text/html; openfile %s ; nametemplate=%s.html
text/html; lynx -assume_charset=%{charset} -display_charset=utf-8 dump %s; nametemplate=%s.html; copiousoutput
application/pgp-encrypted; gpg -d '%s'; copiousoutput;
application/x-zip; unzip -l %s; copiousoutput
application/zip; unzip -l %s; copiousoutput
application/x-rar; unrar l %s; copiousoutput
application/x-rar-compressed; unrar l %s; copiousoutput
application/x-tar; tar -tvf %s; copiousoutput
application/x-tarz; tar -tvf %s; copiousoutput
application/x-gzip; tar -ztvf %s; copiousoutput
application/x-bzip2; tar -jtvf %s; copiousoutput
application/x-bzip; tar -jtvf %s; copiousoutput
application/x-bzip-compressed-tar; tar -jtvf %s; copiousoutput
application/x-7z-compressed; 7z l %s; copiousoutput
application/x-7z-compressed-tar; 7z l %s; copiousoutput
# 256 color images using half-width unicode characters
# Much higher quality that img2txt, but must be built from source
# https://github.com/rossy/img2xterm
image/*; %s | convert -resize 80x80 - jpg:/tmp/rtv.jpg && img2xterm /tmp/rtv.jpg; needsterminal; copiousoutput
# Full motion videos - requires a framebuffer to view
video/x-youtube; mpv -vo drm -quiet '%s'; needsterminal
video/*; mpv -vo drm -quiet '%s'; needsterminal
application/pgp-encrypted; gpg -d '%s'; copiousoutput;

View File

@ -1,10 +1,5 @@
# GLOBAL
ncmpcpp_directory = "~/.config/ncmpcpp"
# MPD
mpd_host = "127.0.0.1"
mpd_port = "6600"
mpd_music_dir = "~/Music/Albums"
ncmpcpp_directory = "~/.config/ncmpcpp"
# VISULAIZER
visualizer_fifo_path = "/tmp/mpd.fifo"
@ -24,8 +19,8 @@ header_window_color = cyan
volume_color = red
state_line_color = white
statusbar_color = magenta
empty_tag_color = blue
state_flags_color = red
empty_tag_color = blue
state_flags_color = red
# SONG
song_list_format = "$5%n {$8%t}|{$2►$2<untitled>}|{$5►$8 %f} $R$5{$4%a}|{$8<unknown artist>} {$7 %l}"
@ -38,9 +33,9 @@ now_playing_prefix = "$6>> "
now_playing_suffix = " $6<<"
selected_item_prefix = "$9"
selected_item_suffix = "$9"
current_item_prefix = "$(white)$r"
current_item_suffix = "$/r$(end)"
browser_playlist_prefix = "$7list$9"
current_item_prefix = "$(white)$r"
current_item_suffix = "$/r$(end)"
browser_playlist_prefix = "$7list$9"
current_item_inactive_column_prefix = "$(red)$r"
current_item_inactive_column_suffix = "$/r$(end)"
@ -60,7 +55,7 @@ playlist_editor_display_mode = classic
browser_sort_mode = mtime
# LIBRARY
media_library_sort_by_mtime = yes
media_library_sort_by_mtime = yes
# UI
titles_visibility = no
@ -75,9 +70,9 @@ enable_window_title = yes
playlist_show_remaining_time = no
display_remaining_time = no
playlist_separate_albums = no
ask_for_locked_screen_width_part = no
ask_for_locked_screen_width_part = no
locked_screen_width_part = 50
empty_tag_marker ="--"
empty_tag_marker ="--"
# OPTIONS
lines_scrolled = 1
@ -87,14 +82,14 @@ cyclic_scrolling = yes
ignore_leading_the = no
allow_for_physical_item_deletion = no
use_console_editor = yes
external_editor = nano
data_fetching_delay = no
ask_before_clearing_playlists = no
incremental_seeking = yes
external_editor = nvim
data_fetching_delay = no
ask_before_clearing_playlists = no
incremental_seeking = yes
# LYRICS
follow_now_playing_lyrics = no
store_lyrics_in_song_dir = no
lyrics_directory = ~/.local/share/lyrics
lyrics_directory = ~/.local/share/lyrics
execute_on_song_change = "/home/deadguy/bin/tapa"
execute_on_song_change = "/home/deadguy/bin/tapa"

View File

@ -1,92 +0,0 @@
# opciones basicas
refresh-on-startup no
always-display-description yes
display-article-progress yes
reload-only-visible-feeds yes
text-width 80
auto-reload yes
show-keymap-hint no
user-agent "Mozilla/5.0 (X11; Linux x86_64; rv:52.0) Gecko/20100101 Firefox/52.0"
error-log "~/.config/newsboat/error.log"
# formatos
datetime-format "%d/%m"
feedlist-format " %n %3U %t "
feedlist-title-format " Feeds: %u/%t %?T?Tag: %T ? %> %N %V "
#articlelist-format " %f %D %t"
#articlelist-title-format " %u/%t - '%T' - %U"
itemview-title-format "Article: %T %> %N %V"
#datetime-format "%Y-%m-%d"
#feedlist-format "%S %n %11u %t %d"
#feedlist-title-format "Feeds: %u sin leer, %t total"
articlelist-format " %f %t %> %D "
articlelist-title-format "%T [%U] (%u sin leer, %t total)"
#itemview-title-format "%T"
searchresult-title-format "Resultados (%u sin leer, %t total)"
filebrowser-title-format "%f %?O?Open File&Save File?"
help-title-format "Ayuda"
selecttag-title-format "Elegir Etiqueta"
selectfilter-title-format "Elegir Filtro"
urlview-title-format "URLs"
dialogs-title-format "Dialogs"
notify-format "%d Articulos nuevos. %n Articulos no leidos"
# teclas
bind-key ; toggle-show-read-feeds
bind-key j down
bind-key k up
bind-key J next-feed articlelist
bind-key K prev-feed articlelist
bind-key G end
bind-key g home
bind-key d pagedown
bind-key u pageup
bind-key l open
bind-key h quit
bind-key a toggle-article-read
bind-key n next-unread
bind-key N prev-unread
bind-key D pb-download
bind-key U show-urls
bind-key x pb-delete
bind-key ^t next-unread
bind-key / open-search
# colores
color listnormal cyan default
color listfocus green default bold
color listnormal_unread blue default
color listfocus_unread yellow default bold
color info color232 color67 bold
color article color250 default
color background default default
highlight article "^(Feed|Title|Author|Link|Date|Links):" blue default underline
highlight article "^Podcast Download URL:.*" blue default bold
highlight article "\\[image [0-9][0-9]*\\]" cyan default
highlight article "\\[[0-9][0-9]*\\]" white default
highlight article "\\[embedded flash: [0-9][0-9]*\\]" red default
highlight article "\\(link\\)$" blue default
highlight article "\\(image\\)$" cyan default
highlight article "\\(embedded flash\\)$" red default
highlight article "Read more" white default
highlight article "https?://([.:_~!$&'=+*(),;@?a-z/0-9\\-]|%[0-9a-f]{2})+" magenta default
# programas externos
notify-program "notify-send"
browser linkhandler
player mpv
save-path ~/.config/newsboat/saved
# macros con prefijo
macro , open-in-browser
macro t set browser "transmission-remote --add %u"; open-in-browser ; set browser linkhandler
macro d set browser "tsp ytdl"; open-in-browser ; set browser linkhandler
macro a set browser "tsp bandcamp"; open-in-browser ; set browser linkhandler
macro v set browser "setsid nohup mpv"; open-in-browser ; set browser linkhandler
macro w set browser "tmux split-window -p 70 && tmux send-keys '$w3m %u && tmux kill-pane\n'"; open-in-browser ; set browser linkhandler
macro r set browser "tmux split-window -p 70 && tmux send-keys 'rtv -l %u && tmux kill-pane\n'"; open-in-browser ; set browser linkhandler
macro c set browser "xsel -b <<<" ; open-in-browser ; set browser linkandler
# vim: ft=conf cms=#%s

View File

@ -1,38 +0,0 @@
---------MISC------------
https://www.questionablecontent.net/QCRSS.xml "~Questionable Content" comics
https://chiptuneswin.com/blog/feed/ "~Chiptunes=WIN" blogs
https://vimways.org/index.xml "~Vimways" blogs
-------YOUTUBE-----------
https://www.youtube.com/feeds/videos.xml?user=gotbletu "~Gotbletu" youtube
https://www.youtube.com/feeds/videos.xml?channel_id=UC2eYFnH61tmytImy1mTYvhA "~Luke Smith" youtube
https://www.youtube.com/feeds/videos.xml?user=moviebob "~Moviebob" youtube
https://www.youtube.com/feeds/videos.xml?playlist_id=PLXleEiD94A2d6WdmDU0h7dXJg8scAaZ9U "~Moviebob Reviews" youtube
https://www.youtube.com/feeds/videos.xml?channel_id=UCu8YylsPiu9XfaQC74Hr_Gw "~Seth's Bike Hacks" youtube
https://www.youtube.com/feeds/videos.xml?channel_id=UCXKYjkimgemQuuNP-JRTz2Q "~Mundo Ciclismo TV" youtube
https://www.youtube.com/feeds/videos.xml?user=tvmultimediacine "~Ruta Cleta" youtube
https://www.youtube.com/feeds/videos.xml?channel_id=UCeZLO2VgbZHeDcongKzzfOw "~8 bit Music Theory" youtube
https://www.youtube.com/feeds/videos.xml?channel_id=UCq297H7Ca98HlB5mVFHGSsQ "~Reaper Mania" youtube
https://www.youtube.com/feeds/videos.xml?channel_id=UCMUHt6JzCMsdtvkaJpU3KXw "~Reaper TV" youtube
https://www.youtube.com/feeds/videos.xml?user=GRGE2MB "~GRGE" youtube
https://www.youtube.com/feeds/videos.xml?channel_id=UCSBUDr3oUg9y7YS1TZL_Jeg "~Wubbix" youtube
https://www.youtube.com/feeds/videos.xml?user=olbaidoinomed "~Olbaid" youtube
-------REDDIT------------
https://www.reddit.com/r/argentina.rss "~Argentina" reddit
https://www.reddit.com/r/zsh.rss "~Zsh" reddit
https://www.reddit.com/r/bspwm.rss "~Bspwm" reddit
https://www.reddit.com/r/vim.rss "~Vim" reddit
https://www.reddit.com/r/neovim.rss "~Neovim" reddit
https://www.reddit.com/r/vimporn.rss "~Vim Porn" reddit
https://www.reddit.com/r/unixart.rss "~Unix Art" reddit
https://www.reddit.com/r/commandline.rss "~Command line" reddit
https://www.reddit.com/r/linuxaudio.rss "~Linux Audio" reddit
https://www.reddit.com/r/learnprogramming.rss "~Learn Programming" reddit
https://www.reddit.com/r/chiptunes.rss "~Chiptunes" reddit
https://www.reddit.com/r/jungle.rss "~Jungle" reddit
https://www.reddit.com/r/breakcore.rss "~Breakcore" reddit
https://www.reddit.com/r/vaporwave.rss "~Vaporwave" reddit
https://www.reddit.com/r/outrun.rss "~OutRun" reddit
https://www.reddit.com/r/algorave.rss "~Algorave" reddit
https://www.reddit.com/r/livecoding.rss "~Livecoding" reddit

View File

@ -84,11 +84,11 @@ set pastetoggle=<F12>
set grepprg=rg\ --vimgrep\ --hidden\ --no-heading
set grepformat=%f:%l:%c:%m,%f:%l:%m
set wildignore+=*.jpg,*.jpeg,*.bmp,*.gif,*.png " image
set wildignore+=*.jpg,*.jpeg,*.bmp,*.gif,*.png,*.svg " image
set wildignore+=*.manifest " gb
set wildignore+=*.o,*.obj,*.exe,*.dll,*.so,*.out,*.class " compiler
set wildignore+=*.swp,*.swo,*.swn " vim
set wildignore+=*/.git,*/.hg,*/.svn " vcs
set wildignore+=*/.git,*/.hg,*/.svn,*/node_modules " vcs
if &diff
set textwidth=80
@ -166,17 +166,6 @@ nmap <silent> <F8> <Plug>(ale_next_wrap)
" CoC {{{
let g:coc_global_extensions = ['coc-lists', 'coc-highlight', 'coc-explorer', 'coc-snippets', 'coc-tsserver', 'coc-emmet', 'coc-css', 'coc-html', 'coc-json']
" Remap keys for gotos
nmap <silent>gd <Plug>(coc-definition)
nmap <silent>gy <Plug>(coc-type-definition)
nmap <silent>gI <Plug>(coc-implementation)
nmap <silent>gr <Plug>(coc-references)
" Object/Symbol maps
nmap <leader>or <Plug>(coc-rename)
nnoremap <silent> <leader>ol :<C-u>CocList outline<CR>
nnoremap <silent> <leader>o/ :<C-u>CocList -I symbols<CR>
" Explorer
nmap <silent><F5> :CocCommand explorer<CR>
@ -211,7 +200,6 @@ let g:coc_snippet_prev = '<S-TAB>'
" Python
nnoremap <silent>gp :CocCommand python.execInTerminal<CR>
nnoremap <silent>gr :CocCommand python.startREPL<CR>
"}}}
" Vista {{{
let g:vista#renderer#enable_icon = 1
@ -263,11 +251,11 @@ hi! link CocInfoSign Type
" Statusline {{{
highlight User1 ctermfg=251 ctermbg=NONE guibg=#080808 guifg=#c6c6c6
highlight User2 ctermfg=234 ctermbg=NONE guibg=#f74782 guifg=#1c1c1c
highlight User3 ctermfg=234 ctermbg=4 guibg=#008bbd guifg=#1c1c1c
highlight User3 ctermfg=234 ctermbg=4 guibg=#008bb4 guifg=#1c1c1c
highlight User4 ctermfg=234 ctermbg=251 guibg=#c6c6c6 guifg=#1c1c1c
highlight User5 ctermfg=234 ctermbg=4 guibg=#e64eff guifg=#1c1c1c
highlight User6 ctermfg=234 ctermbg=9 guibg=#fbad34 guifg=#1c1c1c
highlight User7 ctermfg=234 ctermbg=251 guibg=#407e4a guifg=#1c1c1c
highlight User7 ctermfg=234 ctermbg=251 guibg=#407e4a guifg=#ffffff
let g:modes={
\ 'n' : ['%3*', 'NORMAL'],
@ -407,14 +395,9 @@ if !exists('autocommands_loaded') && has('autocmd')
aug on_save
" Delete whitespace on :w
au BufWritePre * :%s/\s\+$//e
" If i just edited Xresources, reaload them on :w
au BufWritePost ~/.Xresources,~/.Xdefaults !xrdb %
aug END
aug on_quit
" Runs a script that cleans out tex build files whenever I close out of a .tex file.
au VimLeave *.tex !texclear %
au QuitPre * if empty(&buftype) | lclose | endif
au BufWritePost *xresources !xrdb %
au BufWritePost *sxhkdrc !pkill -USR1 sxhkd
au QuitPre * if empty(&buftype) | lclose | endif
aug END
aug term_stuff

View File

@ -1,7 +1,3 @@
# Thank you code_nomad: http://9m.no/ꪯ鵞
# and Arch Wiki contributors: https://wiki.archlinux.org/index.php/Compton
# Backend
# Backend to use: "xrender" or "glx".
# GLX backend is typically much faster but depends on a sane driver.
backend = "glx";
@ -10,13 +6,9 @@ backend = "glx";
glx-no-stencil = true;
# GLX backend: Copy unmodified regions from front buffer instead of redrawing them all.
# My tests with nvidia-drivers show a 10% decrease in performance when the whole screen is modified,
# but a 20% increase when only 1/4 is.
# My tests on nouveau show terrible slowdown.
glx-copy-from-front = false;
# GLX backend: Use MESA_copy_sub_buffer to do partial screen update.
# My tests on nouveau shows a 200% performance boost when only 1/4 of the screen is updated.
# May break VSync and is not available on some drivers.
# Overrides --glx-copy-from-front.
# glx-use-copysubbuffermesa = true;
@ -26,10 +18,8 @@ glx-copy-from-front = false;
# Recommended if it works.
glx-no-rebind-pixmap = true;
# Shadows
# Enabled client-side shadows on windows.
shadow = true;
shadow = false;
# The blur radius for shadows. (default 12)
shadow-radius = 3;
# The left offset for shadows. (default -15)
@ -39,11 +29,6 @@ shadow-offset-y = 2.5;
# The translucency for shadows. (default .75)
shadow-opacity = 0.65;
# Set if you want different colour shadows
# shadow-red = 0.0;
# shadow-green = 0.0;
# shadow-blue = 0.0;
# The shadow exclude options are helpful if you have shadows enabled. Due to the way compton draws its shadows, certain applications will have visual glitches
# (most applications are fine, only apps that do weird things with xshapes or argb are affected).
# This list includes all the affected apps I found in my testing. The "! name~=''" part excludes shadows on any "Unknown" windows, this prevents a visual glitch with the XFWM alt tab switcher.
@ -52,22 +37,11 @@ shadow-exclude = [
"!focused",
"fullscreen",
"name = 'Notification'",
"name = 'Plank'",
"name = 'Docky'",
"name = 'Kupfer'",
"name = 'xfce4-notifyd'",
"name *= 'VLC'",
"name *= 'compton'",
"name *= 'Chromium'",
"name *= 'Chrome'",
"name *= 'picom'",
"class_g = 'Firefox' && argb",
"class_g = 'Rofi'",
"class_g = 'slop'",
"class_g = 'maim'",
"class_g ?= 'Notify-osd'",
"class_g ?= 'Cairo-dock'",
"class_g ?= 'Xfce4-notifyd'",
"class_g ?= 'Xfce4-power-manager'",
"_GTK_FRAME_EXTENTS@:c",
"_NET_WM_STATE@:32a *= '_NET_WM_STATE_HIDDEN'"
];
@ -105,24 +79,22 @@ opacity-rule = [
]
opacity-exclude = [
"class_g = 'mpv'",
"class_g = 'Firefox'",
"name *?= 'Notification'",
"class_g ?= 'Notify-osd'",
"class_g = 'mpv'",
"class_g = 'Firefox'",
"name *?= 'Notification'",
"_GTK_FRAME_EXTENTS@:c",
"n:w:Firefox",
"! name~=''",
"class_g ?= 'Xfce4-power-manager'",
"class_g = 'slop'",
"class_g = 'Rofi'",
"class_g = 'maim'",
"class_g ?= 'Xfce4-power-manager'",
"class_g = 'slop'",
"class_g = 'Rofi'",
"class_g = 'maim'",
];
# Fading
# Fade windows during opacity changes.
fading = true;
# The time between steps in a fade in milliseconds. (default 10).
fade-delta = 5;
fade-delta = 3;
# Opacity change between steps while fading in. (default 0.028).
fade-in-step = 0.03;
# Opacity change between steps while fading out. (default 0.03).
@ -133,7 +105,6 @@ fade-out-step = 0.03;
# Specify a list of conditions of windows that should not be faded.
fade-exclude = [ ];
# Other
# Try to detect WM windows and mark them as active.
mark-wmwin-focused = true;
# Mark all non-WM but override-redirect windows active (e.g. menus).

View File

@ -187,14 +187,13 @@ map gE cd /etc
map gU cd /usr
map gd cd ~/Downloads
map g. cd ~/.config
map gT cd ~/.local/share/Trash/files/
map gs cd ~/.local/share
map gf cd ~/.local/lib/python3.7/site-packages/FoxDot
map gm cd ~/Music/Albums
map gb cd ~/bin
map gm cd /mnt/remote
map gc cd /mnt/cel
map gb cd ~/.local/bin
map gM cd /media
map gR cd /
map gr cd ~/.config/ranger
map gr cd /run/media/deadguy
map g? cd /usr/share/doc/ranger
map gl cd -r .
map gL cd -r %f
@ -203,7 +202,7 @@ map gp cd ~/Pictures
map gi eval fm.cd('/run/media/' + os.getenv('USER'))
# Tabs
map <C-n> eval fm.tab_new('%d')
map <C-n> eval fm.tab_new('%d')
map <C-w> tab_close
map <TAB> tab_move 1
map <S-TAB> tab_move -1
@ -213,7 +212,7 @@ map t+ tab_move 1
map t- tab_move -1
map th tab_new ~
map tu tab_restore
map tc tab_close
map tc tab_close
map <a-1> tab_open 1
map <a-2> tab_open 2
map <a-3> tab_open 3
@ -479,9 +478,9 @@ map Zz shell apack %f.zip %f
map Zb shell apack --format=zip %f.cbz %f
map bg shell setbg %f
map C shell convert -rotate 90 %s %s
map <C-f> select
map <C-l> locate
map <C-b> bring
map zf select
map zl locate
map zb bring
map zz fazdf
map zo console fasd%space

View File

@ -1,28 +0,0 @@
configuration {
modi: "run,drun,window";
combi-modi: "run,drun,window";
theme: "customenu";
terminal: "termite";
run-command: "{cmd}";
run-shell-command: "termite --hold -e {cmd}";
disable-history: true;
sort: true;
sorting-method: "fzf";
case-sensitive: false;
cycle: true;
auto-select: true;
tokenize: false;
fullscreen: false;
threads: 0;
scroll-method: 1;
click-to-exit: true;
show-match: true;
drun-show-actions: true;
drun-display-format: "{name}";
drun-match-fields: "name,exec";
combi-hide-mode-prefix: true;
window-match-fields: "title,name";
window-command: "xkill -id {window}";
window-format: "{w:8}{c:16}{t}";
pid: "/run/user/1000/rofi.pid";
}

View File

@ -15,7 +15,7 @@ super + alt + space
bspc node -p cancel
super + {1-9,0}
bspc desktop -f {1-9,10} && notifocus
bspc desktop -f {1-9,10} && notifocus
super + shift + {1-9,0}
bspc node -d {1-9,10}
@ -41,9 +41,6 @@ super + o
super + y
bspc node -s biggest.local
super + {_,shift} + i
{bspc node -i,for win in `bspc query -N -d -n .leaf.!window`; do bspc node $win -k; done}
super + {_,shift,ctrl} + u
bspc node {@/ -B,@brother -B,@/ -E}
@ -54,20 +51,26 @@ super + {_,shift} + ntilde
whid {hide,dmenu}
# Run Applications
super + {t,b,v,q,c}
{subl,$BROWSER,pavucontrol,powermenu,gsimplecal}
super + {b,v,q,c}
{$BROWSER,pavucontrol,powermenu,gsimplecal}
super + z
termite --name=multi -e termux
super + x
termite --name=flota
super + {z,x}
st {-n multi -e termux,-n flota}
super + {n,m}
termite --name=flota -e {nmtui,brandr}
st -n flota -e {nmtui,brandr}
super + {space,s,r}
rofi {-theme customdark -show drun,-show window,-theme dmenu2 -show run}
super + space
j4-dmenu-desktop --dmenu="dmenu -i -p 'Apps '" --no-generic
super + r
dmenu_run -i -p "Run "
super + s
dswitcher
super + {F1,F2,F3,F4,F5,F6,F7}
{fecha,pila,tapa,notifocus,grabar,corte,touchpad}
ctrl + alt + x
xkill
@ -75,15 +78,12 @@ ctrl + alt + x
Print
pantallazo
super + {F1,F2,F3,F4,F5,F6,F7}
{fecha,pila,tapa,notifocus,grabar,corte,touchpad}
# Media Keys
XF86Audio{Prev,Next}
mpc -q {prev,next}
XF86AudioPlay
mpc -q toggle && tapa
XF86Audio{Prev,Next,Play}
mpc -q {prev,next,toggle && tapa}
XF86MonBrightness{Down,Up}
brillo {down,up}
XF86Audio{Raise,Lower}Volume
pactl set-sink-volume @DEFAULT_SINK@ {+,-}2%

View File

@ -33,7 +33,7 @@ background = rgba(10, 14, 20, 0.85)
color0 = #0a0e14
color1 = #ff3333
color2 = #c2d94c
color2 = #aec82a
color3 = #ffb454
color4 = #59c2ff
color5 = #f07178
@ -48,40 +48,4 @@ color13 = #f28779
color14 = #95e6cb
color15 = #ffffff
# special
# foreground = #d3d7cf
# foreground_bold = #d3d7cf
# background = rgba(8, 8, 8, 0.8)
# # black
# color0 = #222222
# color8 = #555555
# # red
# color1 = #ec5252
# color9 = #fb4934
# # green
# color2 = #407e4a
# color10 = #8fc13e
# # yellow
# color3 = #d79921
# color11 = #fabd2f
# # blue
# color4 = #008bbd
# color12 = #0474a7
# # magenta
# color5 = #b16286
# color13 = #d3869b
# # cyan
# color6 = #689d64
# color14 = #149b93
# # white
# color7 = #a89984
# color15 = #c9c9c9
# vim: ft=dosini cms=#%s

View File

@ -1 +1 @@
[[ -z $DISPLAY && $XDG_VTNR -eq 1 ]] && exec startx -- -keeptty -nolisten tcp > ~/.xorg.log 2>&1
[[ -z $DISPLAY && $XDG_VTNR -eq 1 ]] && exec startx -- -keeptty -nolisten tcp

View File

@ -1,8 +1,6 @@
# -*- mode: shell-script -*-
# vim:ft=zsh
# Opciones principales {{{
MODULES_DIR="$HOME/.config/zsh"
autoload -Uz compinit promptinit
autoload -Uz compinit
_comp_files=(${ZDOTDIR:-$HOME}/.zcompdump(Nm-20))
@ -71,7 +69,7 @@ zstyle ':completion:*:*:cd:*:directory-stack' menu yes select
zstyle ':completion:*:approximate:' max-errors 'reply=( $((($#PREFIX+$#SUFFIX)/3 )) numeric )'
zstyle ':completion::(^approximate*):*:functions' ignored-patterns '_*'
zstyle ':completion::complete:*' use-cache on
zstyle ':completion::complete:*' cache-path "$MODULES_DIR/.zcompcache"
zstyle ':completion::complete:*' cache-path "$ZDOTDIR/.zcompcache"
zstyle ':completion:*:complete:-command-::commands' ignored-patterns '*\~'
zstyle ':completion:*:processes' command 'ps -au $USER -o pid,stat,%cpu,%mem,cputime,command'
zstyle ':completion:*:killall:*' command 'ps -u $USER -o pid,%cpu,tty,cputime,cmd'
@ -98,7 +96,7 @@ zmodload -i zsh/complist
# }}}
# Historial {{{
export HISTIGNORE="ls:cd:cd -:pwd:exit:date:* --help:* --version:* -v:man *:up:rtv *"
HISTFILE="$MODULES_DIR/histfile"
HISTFILE="$ZDOTDIR/histfile"
HISTSIZE=1000
SAVEHIST=1000
setopt BANG_HIST
@ -117,17 +115,16 @@ setopt SHARE_HISTORY
# Plugins y extras {{{
foreach extra (
zsh-completions/zsh-completions.plugin.zsh
forgit/forgit.plugin.zsh
up.plugin.zsh
k.sh
teclas.zsh
extras.zsh
aliases.plugin.zsh
dotfiles.zsh
git-extras-completion.zsh
zsh-system-clipboard/zsh-system-clipboard.zsh
lf-icons.zsh
) {
source $MODULES_DIR/$extra
source $ZDOTDIR/$extra
}
foreach programa (
@ -140,6 +137,9 @@ foreach programa (
typeset -g ZSH_SYSTEM_CLIPBOARD_TMUX_SUPPORT='true'
source $XDG_CONFIG_HOME/broot/launcher/bash/br
source /usr/share/doc/pkgfile/command-not-found.zsh
foreach plugin (
zsh-autopair/autopair.zsh
zsh-syntax-highlighting/zsh-syntax-highlighting.zsh
@ -159,7 +159,7 @@ function precmd() {
fi
}
PS1="%(?..%F{1}(%?%)%f )%F{4}%~ %f%# "
PS1="%(?..%{%F{red}%}(%?%)%{%f%} )%{%F{blue}%}%~ %{%f%}%# "
function zle-keymap-select {
if [[ ${KEYMAP} == vicmd ]] ||

View File

@ -2,21 +2,18 @@
alias vdi='vimdiff'
alias gdl='gallery-dl'
alias m='neomutt'
alias r='ranger'
alias rr='ranger'
alias amix='alsamixer'
alias v='$EDITOR'
alias irc='weechat'
alias irc='weechat -d "$XDG_CONFIG_HOME"/weechat'
alias play='ncmpcpp'
alias torr='transmission-remote-cli'
alias cal='calcurse'
alias torr='tremc'
alias py='python '
alias py2='python2 '
alias help='run-help'
alias p='pacui'
alias surfraw='surfraw -browser=$BROWSER'
alias bm='bashmount'
alias kat='cat'
alias nb='newsboat --quiet'
alias yt='mpsyt'
alias pudb='python -m pudb.run'
@ -31,24 +28,24 @@ alias gp="git push"
# MAXIMUM VERBOSITY YIELDS MAXIMUM RESULTS
alias chmod='chmod -v'
alias chown='chown -v'
alias mv='amv -giv'
alias mv='mv -iv'
alias rmdir='rmdir -v'
alias mkdir='mkdir -pv'
alias cp='acp -graiv'
alias cp='cp -raiv'
alias rm='rm -Iv'
alias ln='ln -iv'
alias rename='rename -v'
alias mount='mount -v | column -t'
alias mount='mount -v'
alias umount='umount -v'
# Con opciones por defecto
alias cat='bat --color=always --terminal-width=-10'
alias buscar="rg --files --color='always' --heading --line-number --no-messages --no-ignore --hidden --follow --smart-case --glob '!.git/' --glob '!node_modules/' --regexp"
alias ncdu='ncdu --color dark -rr -x --exclude .git --exclude node_modules'
alias ls='ls -pvx --color=always --group-directories-first'
alias ll='ls -Ft --color=always --group-directories-first'
alias ls='ls -Ft --color=always --group-directories-first'
alias ll='ls -apvx --color=always --group-directories-first'
alias lt='ls -coghpFAB --group-directories-first --time-style=+"%d-%m-%Y %H:%M"'
alias grep='grep --color=tty -d skip'
alias ccat="highlight --out-format=ansi"
alias sgrep='grep -R -n -H -C 5 --exclude-dir={.git,.svn,CVS} '
alias dmesg='dmesg --color=always'
alias tree='tree -CAFa -I "CVS|*.*.package|.svn|.git|.hg|node_modules" --dirsfirst'
@ -66,6 +63,7 @@ alias dirs='dirs -v -p'
alias dfc='dfc -dmT'
alias diff='diff --color=auto'
alias dif='diff-so-fancy | less --tabs=1,5 -SRX'
alias atl='atool --each --extract'
# Comandos
alias sudo='sudo '
@ -75,7 +73,9 @@ alias pwn='chmod +x'
alias ta='tmux attach -t'
alias tn='tmux new-session -s'
alias tk='tmux kill-session -t'
alias tsq='kill -9 transmission-daemon'
alias tsq='pkill transmission-daemon'
alias tsl='transmission-remote --list'
alias tsx='transmission-remote --remove-and-delete -t'
alias tsr='transmission-remote --remove -t'
alias tsr='transmission-remote --remove -t'
alias jamachi='systemctl start logmein-hamachi.service'
alias jamacho='systemctl stop logmein-hamachi.service'

218
.config/zsh/lf-icons.zsh Normal file
View File

@ -0,0 +1,218 @@
export LF_ICONS="\
di=:\
fi=:\
ln=:\
or=:\
ex=:\
.git=:\
Desktop=:\
Documents=:\
Downloads=:\
Music=:\
Pictures=:\
Public=:\
Templates=:\
Videos=:\
mail=:\
.mail=:\
.cache=:\
.config=:\
trash=:\
Trash=:\
bin=:\
hexagons=ﯟ:\
.Xdefaults=:\
.Xresources=:\
.bashprofile=:\
.zprofile=:\
.bashrc=:\
.zshrc=:\
.zshenv=:\
.dmrc=:\
.ds_store=:\
.fasd=:\
.gitconfig=:\
.gitignore=:\
.jack-settings=:\
.mime.types=:\
.nvidia-settings-rc=:\
.pam_environment=:\
.profile=:\
.recently-used=:\
.selected_editor=:\
.vimrc=:\
.xinputrc=:\
.xserverrc=:\
config=:\
dropbox=:\
exact-match-case-sensitive-1.txt=X1:\
exact-match-case-sensitive-2=X2:\
favicon.ico=:\
gruntfile.coffee=:\
gruntfile.js=:\
gruntfile.ls=:\
gulpfile.coffee=:\
gulpfile.js=:\
gulpfile.ls=:\
ini=:\
ledger=:\
license=:\
mimeapps.list=:\
node_modules=:\
procfile=:\
react.jsx=:\
user-dirs.dirs=:\
Makefile=:\
TODO=:\
LICENSE=:\
COPYING=:\
*.7z=:\
*.ai=:\
*.apk=:\
*.avi=:\
*.bat=:\
*.bmp=:\
*.bz2=:\
*.c=ﭰ:\
*.c++=ﭱ:\
*.cab=:\
*.cbr=:\
*.cbz=:\
*.cc=ﭰ:\
*.clj=:\
*.cljc=:\
*.cljs=:\
*.coffee=:\
*.conf=:\
*.cp=ﭰ:\
*.cpio=:\
*.cpp=ﭱ:\
*.css=:\
*.cxx=ﭰ:\
*.d=:\
*.dart=:\
*.db=:\
*.deb=:\
*.diff=:\
*.dump=:\
*.edn=:\
*.ejs=:\
*.epub=:\
*.erl=:\
*.exe=:\
*.f#=:\
*.fish=:\
*.flac=:\
*.flv=:\
*.fs=:\
*.fsi=:\
*.fsscript=:\
*.fsx=:\
*.gem=:\
*.gif=:\
*.go=:\
*.gz=:\
*.gzip=:\
*.hbs=:\
*.hrl=:\
*.hs=:\
*.htm=:\
*.html=:\
*.ico=:\
*.ini=:\
*.java=:\
*.jl=:\
*.jpeg=:\
*.jpg=:\
*.js=:\
*.json=:\
*.jsx=:\
*.less=:\
*.lha=:\
*.lhs=:\
*.log=:\
*.lua=:\
*.lzh=:\
*.lzma=:\
*.m4a=:\
*.markdown=:\
*.md=:\
*.mkv=:\
*.ml=λ:\
*.mli=λ:\
*.mov=:\
*.mp3=:\
*.mp4=:\
*.mpeg=:\
*.mpg=:\
*.mustache=:\
*.ogg=:\
*.pdf=:\
*.php=:\
*.pl=:\
*.pm=:\
*.png=:\
*.psb=:\
*.psd=:\
*.py=:\
*.pyc=:\
*.pyd=:\
*.pyo=:\
*.rar=:\
*.rb=:\
*.rc=:\
*.rlib=:\
*.rpm=:\
*.rs=:\
*.rss=:\
*.scala=:\
*.scss=:\
*.sh=:\
*.slim=:\
*.sln=:\
*.sql=:\
*.styl=:\
*.suo=:\
*.t=:\
*.tar=:\
*.tgz=:\
*.ts=:\
*.twig=:\
*.vim=:\
*.vimrc=:\
*.wav=:\
*.webm=:\
*.xml=:\
*.xul=:\
*.xz=:\
*.yml=:\
*.zip=:\
*.zsh=:\
*.xcf=:\
*.tex=:\
*.txt=:\
*.lock=:\
*.h=ﭰ:\
*.o=:\
*.blend=:\
*.1=:\
*.jar=:\
*.desktop=:\
*.mk=:\
*.torrent=:\
*.added=:\
*.pem=:\
*.svg=:\
*.scd=:\
*.theme=:\
*.iso=:\
*.mid=:\
*.url=:\
*.part=:\
*.nfo=:\
*.pd=:\
*.ttf=:\
*.otf=:\
*.bdf=:\
*.pcf=:\
"

View File

@ -1,6 +0,0 @@
pdflatex='pdflatex -interaction=nonstopmode';
pdf_previewer = "start zathura";
pdf_update_method=0;
pdf_mode = 1;
dvi_mode = 0;
preview_continuous_mode = 1;

4
.local/bin/ae Executable file
View File

@ -0,0 +1,4 @@
#!/usr/bin/env bash
set -euf -o pipefail
fd --type file --color=always . ~/.local/bin -d=1 | fzf -m --cycle --preview='bat --color=always {}' --height='45%' --select-1 --exit-0 | xargs -r "$EDITOR"

View File

@ -1,7 +1,7 @@
#!/usr/bin/env bash
set -euf -o pipefail
youtube-dl --add-metadata -icx --no-cache-dir --no-call-home --audio-format mp3 --audio-quality 0 --prefer-ffmpeg --no-post-overwrites --geo-bypass -o "$HOME/Music/Albums/%(artist)s/%(album)s/%(artist)s - %(album)s - %(track_number)d%(track)s.%(ext)s" "$1"
youtube-dl --add-metadata -icx --no-cache-dir --no-call-home --audio-format mp3 --audio-quality 0 --prefer-ffmpeg --no-post-overwrites --geo-bypass -o "/mnt/remote/%(artist)s/%(album)s/%(artist)s - %(album)s - %(track_number)d%(track)s.%(ext)s" "$1"
echo "Trying to get cover..."
HTML_TEMP=$(mktemp)
@ -9,4 +9,4 @@ curl -s "$1" > "$HTML_TEMP"
titulo=$(grep -Po "<title>.*</title>" "$HTML_TEMP" | sed 's/<[^>]*>//g')
disco=${titulo% | *}
grupo=${titulo#* | }
sed -n '/image_/s/.*rel="image_src"\s\+href="\([^"]\+\).*/\1/p' "$HTML_TEMP" | xargs -r curl -s --create-dirs -o "$HOME/Music/Albums/${grupo}/${disco}/cover.jpg" && echo "Got it" || echo "Failed :("
sed -n '/image_/s/.*rel="image_src"\s\+href="\([^"]\+\).*/\1/p' "$HTML_TEMP" | xargs -r curl -s --create-dirs -o "/mnt/remote/${grupo}/${disco}/cover.jpg" && echo "Got it" || echo "Failed :("

19
.local/bin/borders Executable file
View File

@ -0,0 +1,19 @@
#!/bin/sh
# xrdb
get_xrdb() {
xrdb -query | grep "$1" | awk '{print $2}' | tail -n1
}
outer="$(get_xrdb color0)" # outer
inner1="$(get_xrdb color4)" # focused
inner2="$(get_xrdb color8)" # normal
draw() { chwb2 -I "$i" -O "$o" -i "2" -o "8" $@ 2> /dev/null; }
# initial draw, and then subscribe to events
{ echo; bspc subscribe node_geometry node_focus; } |
while read -r _; do
i=$inner1 o=$outer draw "$(targets focused)"
i=$inner2 o=$outer draw "$(targets normal)"
done

View File

@ -3,4 +3,4 @@ set -euf -o pipefail
notify-send -u urgent -i ~/Pictures/.icn/control.png "Tres meses han pasado..." "Es hora de limpiar el cache"
sleep 10s
termite --name=flota -e paccache -rk1 && yay -Sca
st --class=flota -e paccache -rk1 && yay -Sca

View File

@ -2,7 +2,7 @@
set -euf -o pipefail
case $1 in
on) simple-mtpfs --device 1 ~/cel/ ;;
off) fusermount -u ~/cel/ ;;
on) simple-mtpfs --device 1 /mnt/cel/ ;;
off) fusermount -u /mnt/cel/ ;;
*) echo "Can't help you with that" ;;
esac

View File

@ -6,23 +6,19 @@ function () {
'nvim' '~/.config/nvim/init.vim'
'lf' '~/.config/lf/lfrc'
'mpv' '~/.config/mpv/mpv.conf'
'xres' '~/.Xresources'
'rss' '~/.config/newsboat/config'
'xres' '~/.config/X11/xresources'
'wm' '~/.config/bspwm/bspwmrc'
'keys' '~/.config/sxhkd/sxhkdrc'
'correo' '~/.config/mutt/muttrc'
'shell' '~/.zshrc'
'shell' '~/.config/zsh/.zshrc'
'dunst' '~/.config/dunst/dunstrc'
'term' '~/.config/termite/config'
'ranger' '~/.config/ranger/rc.conf'
'music' '~/.config/ncmpcpp/config'
'tmux' '~/.tmux.conf'
'xinit' '~/.xinitrc'
'urls' '~/.config/newsboat/urls'
'alias' '~/.config/zsh/aliases.plugin.zsh'
'compose' '~/.config/compton.conf'
'compose' '~/.config/picom.conf'
'env' '~/.zshenv'
'reddit' '~/.config/rtv/rtv.cfg'
)
local selected_bookmark

View File

@ -1,9 +1,10 @@
#!/usr/bin/env sh
#!/bin/sh
pgrep -u "$USER" >/dev/null || exit
pgrep -x mbsync >/dev/null && exit
ping -q -c 1 1.1.1.1 > /dev/null || exit
pgrep -u "$USER" >/dev/null || { echo "$USER not logged in; sync will not run."; exit ;}
pgrep -x mbsync >/dev/null && { echo "mbsync is already running." ; exit ;}
ping -q -c 1 1.1.1.1 > /dev/null || { echo "No internet connection detected."; exit ;}
DBUS_SESSION_BUS_ADDRESS=unix:path=/run/user/$(id -u)/bus
export DISPLAY=:0.0
syncandnotify() {
@ -16,7 +17,7 @@ syncandnotify() {
# Extract subject and sender from mail.
from=$(awk '/^From: / && ++n ==1,/^\<.*\>:/' "$file" | perl -CS -MEncode -ne 'print decode("MIME-Header", $_)' | awk '{ $1=""; if (NF>=3)$NF=""; print $0 }' | sed 's/^[[:blank:]]*[\"'\''\<]*//;s/[\"'\''\>]*[[:blank:]]*$//')
subject=$(awk '/^Subject: / && ++n == 1,/^\<.*\>: / && ++i == 2' "$file" | head -n-1 | perl -CS -MEncode -ne 'print decode("MIME-Header", $_)' | sed 's/^Subject: //' | sed 's/^{[[:blank:]]*[\"'\''\<]*//;s/[\"'\''\>]*[[:blank:]]*$//' | tr -d '\n')
notify-send -i ~/Pictures/.icn/correo.png "New message in $acc" "$from: $subject" &
notify-send --app-name="mutt-wizard" -i ~/Pictures/.icn/correo.png "New message in $acc" "$from: $subject" &
done
fi
}

View File

@ -2,7 +2,7 @@
set -euf -o pipefail
FOLDER="$HOME/bin"
FOLDER="$HOME/.local/bin"
FILE="$FOLDER/$1"
if [[ -f $FILE ]]; then

14
.local/bin/euclid_balancer Executable file
View File

@ -0,0 +1,14 @@
#!/bin/dash
if [ "$(pgrep -cx euclid_balancer)" -gt 1 ] ; then
killall euclid_balancer && exit 0
else
bspc subscribe node_add node_remove node_state node_geometry | while read line; do
for wid in $(bspc query -N -d -n .window); do
bspc node "${wid}#@north" -B || true
bspc node "${wid}#@south" -B || true
done
done
fi

View File

@ -35,12 +35,6 @@ c9='#12121200'
cA='#c4a000ff'
lock="$HOME/Pictures/lockscreen/alienlock.png"
# image=$(mktemp --suffix=.png)
# trap 'rm -f "$image"' SIGINT SIGTERM EXIT
# maim -u \
# | convert png:- -scale 10% -scale 1000% \
# "$lock" -gravity center -composite -matte "$image"
i3lock \
--image="$lock" \

View File

@ -1,11 +1,11 @@
#!/bin/sh
# Usage:
# `record`: Ask for recording type via dmenu
# `record screencast`: Record both audio and screen
# `record video`: Record only screen
# `record audio`: Record only audio
# `record kill`: Kill existing recording
# `$0`: Ask for recording type via dmenu
# `$0 screencast`: Record both audio and screen
# `$0 video`: Record only screen
# `$0 audio`: Record only audio
# `$0 kill`: Kill existing recording
#
# If there is already a running instance, user will be prompted to end it.
@ -26,10 +26,10 @@ screencast() { \
-f x11grab \
-framerate 60 \
-s "$(xdpyinfo | grep dimensions | awk '{print $2;}')" \
-i :0.0 \
-i "$DISPLAY" \
-f alsa -ac 2 -i pulse \
-r 30 \
-c:v libx264rgb -crf 0 -preset ultrafast -c:a aac -b:a 128k \
-c:v libx264rgb -crf 0 -preset ultrafast -c:a flac \
"$HOME/Videos/Screen/$(date '+%y%m%d-%H%M-%S').mkv" &
echo $! > /tmp/recordingpid
}
@ -50,7 +50,7 @@ jackv() {
-f x11grab \
-framerate 60 \
-s "$(xdpyinfo | grep dimensions | awk '{print $2;}')" \
-i :0.0 \
-i "$DISPLAY" \
-r 30 \
-c:v libx264 -qp 0 -r 30 -c:a flac \
"$HOME/Videos/Screen/$(date '+%y%m%d-%H%M-%S').mkv" &
@ -62,7 +62,7 @@ mute() {
-f x11grab \
-thread_queue_size 4096 \
-s "$(xdpyinfo | grep dimensions | awk '{print $2;}')" \
-i :0.0 \
-i "$DISPLAY" \
-c:v libx264 -qp 0 -r 30 \
"$HOME/Videos/$(date '+%y%m%d-%H%M-%S').mkv" &
echo $! > /tmp/recordingpid
@ -73,24 +73,24 @@ audio() { \
-thread_queue_size 4096 \
-f pulse -i default \
-ac 2 -channel_layout stereo -async 1 \
-c:a aac -b:a 128k \
-c:a flac \
"$HOME/Music/Tape/$(date '+%y%m%d-%H%M-%S').mp3" &
echo $! > /tmp/recordingpid
}
askrecording() { \
choice=$(printf "screencast\\nvideo\\naudio\\njackv\\njacka" | dmenu -i -p "Select recording style:")
choice=$(printf "screencast\\nvideo\\naudio\\njack video\\njack audio" | dmenu -i -p "Select recording style ")
case "$choice" in
screencast) screencast;;
video) mute;;
audio) audio;;
jackv) jackv;;
jacka) jacka;;
"jack video") jackv;;
"jack audio") jacka;;
esac
}
asktoend() { \
response=$(printf "No\\nYes" | dmenu -i -p "Recording still active. End recording?") &&
response=$(printf "No\\nYes" | dmenu -i -p "Recording still active. End recording? ") &&
[ "$response" = "Yes" ] && killrecording
}
@ -98,8 +98,8 @@ case "$1" in
screencast) screencast;;
video) mute;;
audio) audio;;
jacka) jacka;;
jackv) jackv;;
"jack video") jackv;;
"jack audio") jacka;;
kill) killrecording;;
*) ([ -f /tmp/recordingpid ] && asktoend && exit) || askrecording;;
esac

20
.local/bin/powermenu Executable file
View File

@ -0,0 +1,20 @@
#!/usr/bin/env bash
set -euf -o pipefail
shutdown="shutdown"
reboot="reboot"
suspend="suspend"
lock="lock"
log_out="log out"
options="$shutdown\n$reboot\n$suspend\n$lock\n$log_out"
chosen="$(echo -e "$options" | dmenu -i -p "⏻ ")"
case $chosen in
$shutdown) systemctl poweroff;;
$reboot) systemctl reboot;;
$suspend) systemctl suspend;;
$lock) exeflock4;;
$log_out) bspc quit 1;;
*) exit 0;;
esac

View File

@ -1,10 +1,9 @@
#!/bin/bash
case $1 in
zsh) source ~/.zshrc ;;
zsh) source ~/.config/zsh/.zshrc ;;
fonts) fc-cache -v -f ;;
keys) pkill -USR1 -x sxhkd ;;
xres) xrdb ~/.Xresources ;;
bar) ~/.config/polybar/./launch.sh ;;
xres) xrdb ~/.config/X11/xresources ;;
*) echo "Can't help you with that" ;;
esac

View File

@ -42,7 +42,7 @@ target="$(abspath "$1")"
count="$(listfiles | grep -a -m 1 -ZznF "$target" | cut -d: -f1)"
if [ -n "$count" ]; then
listfiles | xargs -0 sxiv -bpn "$count" --
listfiles | xargs -0 sxiv -pbn "$count" --
else
sxiv -bpq -- "$@" # fallback
sxiv -pbq -- "$@" # fallback
fi

View File

@ -3,7 +3,8 @@ set -euf -o pipefail
# CONFIG ----------------------------------------------------
# This NEEDS to be the same as in mpd.conf
music_dir="$HOME/Music/Albums"
# music_dir="$HOME/Music/Albums"
music_dir="/mnt/remote"
# What should the covers be resized to in pixels
cover_resize="100"

8
.local/bin/targets Executable file
View File

@ -0,0 +1,8 @@
#!/bin/sh
#
# output focused / unfocused windows
case $1 in
focused) bspc query -N -n .local.focused.\!fullscreen;;
normal) bspc query -N -n .local.\!focused.\!fullscreen
esac

View File

@ -1,5 +1,4 @@
#!/usr/bin/env bash
set -euf -o pipefail
[[ -n "$TMUX" ]] && change="switch-client" || change="attach-session"
if [ "$@" ]; then

10
.local/bin/tsa Executable file
View File

@ -0,0 +1,10 @@
#!/usr/bin/env bash
set -euf -o pipefail
pgrep -x transmission-da || (transmission-daemon && notify-send "Starting transmission daemon")
sleep 8
transmission-remote -a "$@" && notify-send "🔽 Torrent added."

18
.local/bin/tsd Executable file
View File

@ -0,0 +1,18 @@
#!/bin/zsh
icon1="/home/deadguy/Pictures/.icn/trans1.png"
icon2="/home/deadguy/Pictures/.icn/trans2.png"
killall transmission-daemon 2> /dev/null
transmission-daemon --foreground --log-info 2>&1 | while read line; do
echo $line |
grep -v "announcer.c:\|platform.c:\|announce done (tr-dht.c:" |
grep -v "Saved.*variant.c:" |
while read line; do
echo $line | grep -q "Queued for verification (verify.c:" &&
notify-send -i "$icon1" --app-name="Transmission Started" "${line#* * }"
echo $line | grep -q "changed from .Incomplete. to .Complete." &&
notify-send -i "$icon2" --app-name="Transmission Complete" "${line#* * }"
echo $line | systemd-cat --identifier="TransWrap" --priority=5
done 2>&1 > /dev/null
done&disown

View File

@ -21,7 +21,8 @@ dmenu)
miniList=$(cat $file)
# Dmenu cannot draw more than 30 lines
if [[ $lines -gt 30 ]]
lines=$(wc -l < $file)
if [[ $lines -gt 30 ]]
then linesDisplayed=30
else linesDisplayed=$lines
fi
@ -33,7 +34,7 @@ dmenu)
linesDisplayed=1
fi
dmenu_cmd="rofi -lines $linesDisplayed -dmenu -p Hidden:"
dmenu_cmd="dmenu -b -i -l $linesDisplayed -p Hidden:"
# Launch dmenu
lineNumber=$(echo "$miniList" | cut -d " " -f 3- | nl -w 3 -n rn | sed -r 's/^([ 0-9]+)[ \t]*(.*)$/\1 - \2/' | $dmenu_cmd | cut -d '-' -f -1)

View File

@ -1,6 +1,7 @@
[Desktop Entry]
Type=Application
Name=Mail
NoDisplay=true
Terminal=false
Exec=/usr/bin/termite -e neomutt %u
Exec=/usr/bin/alacritty -e neomutt %u
MimeType=x-scheme-handler/mailto;

View File

@ -1,4 +1,5 @@
[Desktop Entry]
Type=Application
Name=Text editor
NoDisplay=true
Exec=/usr/bin/termite --name=flota -e nvim %u

View File

@ -1,4 +1,5 @@
[Desktop Entry]
Type=Application
NoDisplay=true
Name=Torrent
Exec=tsa %U

View File

@ -1,140 +0,0 @@
/**
* User: deadguy
* Copyright: deadguy
*/
configuration {
display-drun: "Activate";
display-run: "Execute";
display-window: "Switch";
sidebar-mode: true;
show-icons: true;
}
/* global settings and color variables */
* {
background-color: #00000065;
text-color: #EFEFEF;
clearbg: #00000000;
fullbg: #080808;
selbg: #00a0e6;
actbg: #222222;
urgbg: #e53935;
winbg: #00364e;
selected-normal-foreground: @winbg;
normal-foreground: @text-color;
selected-normal-background: @actbg;
normal-background: @fullbg;
selected-urgent-foreground: @fullbg;
urgent-foreground: @text-color;
selected-urgent-background: @urgbg;
urgent-background: @urgbg;
selected-active-foreground: @fullbg;
active-foreground: @text-color;
selected-active-background: @text-color;
active-background: @winbg;
columns: 1;
line-margin: 2;
line-padding: 2;
margin: 0;
padding: 0;
separator-style: "none";
hide-scrollbar: "true";
font: "SF Pro Text 12";
}
window {
padding: 5px;
width: 30%;
height: 70%;
margin: 0 0 0 0;
children: [mainbox];
}
mainbox {
background-color: @fullbg;
children: [inputbar, listview, mode-switcher];
spacing: 10px;
padding: 30px 0 0 0;
border: 1px;
border-color: @clearbg;
}
listview {
background-color: @clearbg;
fixed-height: 0;
border: 0;
spacing: 5px;
scrollbar: false;
padding: 10px;
}
inputbar {
children: [ entry ];
background-color: @clearbg;
padding: 0 15px;
}
entry {
background-color: @clearbg;
spacing: 0;
}
button { padding: 5px; }
button selected {
background-color: @selbg;
text-color: @fullbg;
}
element {
background-color: @clearbg;
border-radius: 15px;
border: 0;
padding: 4px;
}
element.normal.urgent {
background-color: @urgent-background;
text-color: @urgent-foreground;
}
element.normal.active {
background-color: @active-background;
text-color: @active-foreground;
}
element.selected.normal {
background-color: @selbg;
text-color: @fullbg;
}
element.selected.urgent {
background-color: @selected-urgent-background;
text-color: @selected-urgent-foreground;
}
element.selected.active {
background-color: @selected-active-background;
text-color: @selected-active-foreground;
}
element.alternate.normal {
background-color: @normal-background;
text-color: @normal-foreground;
}
element.alternate.urgent {
background-color: @urgent-background;
text-color: @urgent-foreground;
}
element.alternate.active {
background-color: @active-background;
text-color: @active-foreground;
}

View File

@ -1,111 +0,0 @@
/**
* User: deadguy
* Copyright: deadguy
*/
* {
background-color: #121212;
foreground: #e0d0c3;
selbg: #039be5;
actbg: #505050;
urgbg: #e53935;
selected-normal-foreground: @background-color;
normal-foreground: @foreground;
selected-normal-background: @selbg;
normal-background: @background-color;
selected-urgent-foreground: @background-color;
urgent-foreground: @foreground;
selected-urgent-background: @urgbg;
urgent-background: @background-color;
selected-active-foreground: @background-color;
active-foreground: @foreground;
selected-active-background: @actbg;
active-background: @background-color;
font: "SF Pro Text 10";
}
window {
anchor: northwest;
width: 100%;
location: northwest;
margin: 0;
padding: 0;
children: [ horibox ];
}
horibox {
orientation: horizontal;
children: [ prompt,entry,listview ];
}
listview {
spacing: 5px 10px;
padding: 0px 10px;
layout: horizontal;
lines: 100;
}
entry {
expand: false;
width: 20em;
text-color: @normal-foreground;
vertical-align: 1;
padding: 5px;
}
element { padding: 5px; }
element.normal.normal {
background-color: @normal-background;
text-color: @normal-foreground;
}
element.normal.urgent {
background-color: @urgent-background;
text-color: @urgent-foreground;
}
element.normal.active {
background-color: @active-background;
text-color: @active-foreground;
}
element.selected.normal {
background-color: @selected-normal-background;
text-color: @selected-normal-foreground;
}
element.selected.urgent {
background-color: @selected-urgent-background;
text-color: @selected-urgent-foreground;
}
element.selected.active {
background-color: @selected-active-background;
text-color: @selected-active-foreground;
}
element.alternate.normal {
background-color: @anormal-background;
text-color: @normal-foreground;
}
element.alternate.urgent {
background-color: @urgent-background;
text-color: @urgent-foreground;
}
element.alternate.active {
background-color: @active-background;
text-color: @active-foreground;
}
prompt {
padding: 5px 7px;
margin: 0;
text-color: @background-color;
background-color: @selected-normal-background;
}

View File

@ -1,139 +0,0 @@
/**
* User: deadguy
* Copyright: deadguy
*/
configuration {
display-drun: "Activate";
display-run: "Execute";
display-window: "Switch";
show-icons: false;
sidebar-mode: true;
}
/* global settings and color variables */
* {
background-color: #080808;
text-color: #b6b6b6;
selbg: #c4a000;
actbg: #222222;
urgbg: #e53935;
winbg: #f69f3e;
selected-normal-foreground: @winbg;
normal-foreground: @text-color;
selected-normal-background: @actbg;
normal-background: @background-color;
selected-urgent-foreground: @background-color;
urgent-foreground: @text-color;
selected-urgent-background: @urgbg;
urgent-background: @background-color;
selected-active-foreground: @winbg;
active-foreground: @actbg;
selected-active-background: @actbg;
active-background: @selbg;
line-margin: 2;
line-padding: 2;
separator-style: "none";
hide-scrollbar: "true";
font: "Noto Sans 10";
margin: 0;
padding: 0;
}
window {
location: east;
anchor: east;
height: 100%;
width: 18%;
orientation: horizontal;
children: [mainbox];
border: 0 0 0 1px solid;
border-color: @active-background;
margin: 0 0 0 0;
}
mainbox {
spacing: 0.8em;
children: [ entry,listview,mode-switcher ];
}
button { padding: 5px 2px; }
button selected {
background-color: @active-background;
text-color: @background-color;
}
inputbar {
padding: 5px;
spacing: 5px;
}
listview {
spacing: 0.5em;
dynamic: false;
cycle: true;
}
element { padding: 10px; }
entry {
expand: false;
text-color: @normal-foreground;
vertical-align: 1;
padding: 5px;
}
element.normal.normal {
background-color: @normal-background;
text-color: @normal-foreground;
}
element.normal.urgent {
background-color: @urgent-background;
text-color: @urgent-foreground;
}
element.normal.active {
background-color: @active-background;
text-color: @active-foreground;
}
element.selected.normal {
background-color: @selected-normal-background;
text-color: @selected-normal-foreground;
border: 0 5px solid 0 0;
border-color: @winbg;
}
element.selected.urgent {
background-color: @selected-urgent-background;
text-color: @selected-urgent-foreground;
}
element.selected.active {
background-color: @selected-active-background;
text-color: @selected-active-foreground;
}
element.alternate.normal {
background-color: @normal-background;
text-color: @normal-foreground;
}
element.alternate.urgent {
background-color: @urgent-background;
text-color: @urgent-foreground;
}
element.alternate.active {
background-color: @active-background;
text-color: @active-foreground;
}
/* vim: set ft=css : */

View File

@ -1,8 +1,8 @@
# TERM
set -g default-terminal tmux-256color
set -ga terminal-overrides ",xterm-termite:Tc,xterm-256color:Tc"
set -ga terminal-overrides ",*col*:Tc"
set -ga terminal-overrides '*:Ss=\E[%p1%d q:Se=\E[ q'
# set -ga terminal-overrides ",xterm-termite:Tc,xterm-256color:Tc"
# set -ga terminal-overrides ",*col*:Tc"
# set -ga terminal-overrides '*:Ss=\E[%p1%d q:Se=\E[ q'
# Opciones basicas
setw -gq utf8 on
@ -196,6 +196,6 @@ bind-key -n M-\\ run-shell -b "$navigate_back"
# Mejor soporte para mouse
set -g @prevent-scroll-for-fullscreen-alternate-buffer 'on'
set -g @scroll-speed-num-lines-per-scroll '3'
run-shell ~/bin/tmux-better-mouse-mode/scroll_copy_mode.tmux
run-shell ~/.local/bin/tmux-better-mouse-mode/scroll_copy_mode.tmux
# vim: set ft=tmux:

View File

@ -1,12 +1,10 @@
#!/bin/sh
userresources=$HOME/.Xresources
usermodmap=$HOME/.Xmodmap
userresources=$HOME/.config/X11/xresources
usermodmap=$HOME/.config/X11/xmodmap
sysresources=/etc/X11/xinit/.Xresources
sysmodmap=/etc/X11/xinit/.Xmodmap
# merge in defaults and keymaps
if [ -f $sysresources ]; then
xrdb -merge $sysresources
fi
@ -23,7 +21,6 @@ if [ -f "$usermodmap" ]; then
xmodmap "$usermodmap"
fi
# start some nice programs
if [ -d /etc/X11/xinit/xinitrc.d ] ; then
for f in /etc/X11/xinit/xinitrc.d/?*.sh ; do
[ -x "$f" ] && . "$f"
@ -32,14 +29,16 @@ if [ -d /etc/X11/xinit/xinitrc.d ] ; then
fi
setxkbmap -option caps:escape
eval "$(/usr/bin/gnome-keyring-daemon --start --components=pkcs11,secrets,ssh)"
export SSH_AUTH_SOCK
/usr/lib/polkit-gnome/polkit-gnome-authentication-agent-1 &
xsetroot -cursor_name left_ptr &
picom -b -d :0 &
sxhkd &
xfce4-power-manager &
dunst -conf ~/.config/dunst/dunstrc &
mpd &
setbg &
picom -b -d :0 &
dunst -conf ~/.config/dunst/dunstrc &
unclutter &
sxhkd &
xset s 300 250
xss-lock -n dim-screen -l -- exeflock4 &
exec bspwm

View File

@ -1,3 +0,0 @@
#!/bin/sh
exec /usr/bin/Xorg -nolisten tcp -nolisten local "$@" vt"$XDG_VTNR"

80
.zshenv
View File

@ -1,26 +1,48 @@
# Programas y Opciones del Sistema {{{
export TERMINAL="termite"
export TERMINAL="st"
export EDITOR="nvim"
export GIT_EDITOR=$EDITOR
export BROWSER="firefox"
export READER="zathura"
export VIDEO="mpv"
export IMAGE="sxiv"
export COLORTERM="truecolor"
export OPENER="xdg-open"
export PAGER="less"
export WM="bspwm"
export FILE="lf"
export GREP_COLOR="0;32"
export RANGER_LOAD_DEFAULT_RC="FALSE"
export TIME_STYLE="long-iso"
export BLOCK_SIZE="'1"
export QUOTING_STYLE=literal
export QT_QPA_PLATFORMTHEME=qt5ct
export SSH_ASKPASS="/usr/lib/seahorse/ssh-askpass"
export GTK2_RC_FILES="$HOME/.config/gtk-2.0/gtkrc-2.0"
export NOTMUCH_CONFIG="$HOME/.config/notmuch-config"
export RTV_BROWSER="$BROWSER"
export RTV_URLVIEWER="urlscan"
export RTV_EDITOR="$EDITOR"
export MAILCAPS="$HOME/.config/mutt/mailcap"
export MANPAGER="nvim +'set filetype=man' -"
export HIGHLIGHT_OPTIONS='--out-format="ansi" --style="pablo"'
export BAT_STYLE="numbers,changes,header"
export BAT_THEME="TwoDark"
export SSH_ASKPASS="/usr/lib/seahorse/ssh-askpass"
export XAUTHORITY="$XDG_RUNTIME_DIR/Xauthority"
export XDG_DATA_HOME="$HOME/.local/share"
export XDG_CONFIG_HOME="$HOME/.config"
export XDG_CACHE_HOME="$HOME/.cache"
export ZDOTDIR="$HOME/.config/zsh"
export INPUTRC="$HOME/.config/inputrc"
export WGETRC="$HOME/.config/wget/wgetrc"
export GNUPGHOME="$XDG_DATA_HOME/gnupg"
export PASSWORD_STORE_DIR="$HOME/.local/share/password-store"
export GTK2_RC_FILES="$HOME/.config/gtk-2.0/gtkrc-2.0"
export NOTMUCH_CONFIG="$HOME/.config/notmuch-config"
export MAILCAPS="$HOME/.config/mutt/mailcap"
export IPYTHONDIR="$XDG_CONFIG_HOME/ipython"
export JUPYTER_CONFIG_DIR="$XDG_CONFIG_HOME/jupyter"
export PYLINTHOME="$XDG_CACHE_HOME/pylint"
export NPM_CONFIG_USERCONFIG="$XDG_CONFIG_HOME/npm/npmrc"
export NODE_REPL_HISTORY="$XDG_DATA_HOME/node_repl_history"
export WEECHAT_HOME="$XDG_CONFIG_HOME/weechat"
export RANDFILE="$XDG_DATA_HOME/rnd"
export _JAVA_OPTIONS=-Djava.util.prefs.userRoot="$XDG_CONFIG_HOME"/java
# }}}
# FZF {{{
export FZF_DEFAULT_COLORS='--color=dark,fg:-1,fg+:254,bg:-1,bg+:235,hl:33,hl+:33,info:8,border:1,prompt:4,pointer:3,marker:3,spinner:8,header:6'
@ -44,37 +66,19 @@ export FZF_ALT_C_OPTS="--select-1 --exit-0"
export FZF_VIM_LOG=$(git config --get alias.l | awk '{$1=""; print $0;}' | tr -d '\r')
# }}}
# Less {{{
export LESS=" \
--ignore-case \
--tilde \
--chop-long-lines \
--status-column \
--LONG-PROMPT \
--jump-target=10 \
--RAW-CONTROL-CHARS \
--silent \
--tabs=4 \
--shift=5"
export LESS=-R
export LESS_TERMCAP_mb="$(printf '%b' '')"
export LESS_TERMCAP_md="$(printf '%b' '')"
export LESS_TERMCAP_me="$(printf '%b' '')"
export LESS_TERMCAP_so="$(printf '%b' '')"
export LESS_TERMCAP_se="$(printf '%b' '')"
export LESS_TERMCAP_us="$(printf '%b' '')"
export LESS_TERMCAP_ue="$(printf '%b' '')"
export LESSOPEN="| highlight $HIGHLIGHT_OPTIONS -- %s 2>/dev/null" # Use `highlight` program to try to highlight opened file according to its extension.
export LESSHISTFILE="-" # Command and search history file.
export LESSKEYRC="$HOME/.config/less/lesskey" # Path of the uncompiled lesskey file.
export LESSKEY="$LESSKEYRC.lwc" # Path of the compiled lesskey file.
export LESS_TERMCAP_md=$(tput bold; tput setaf 4) # Turn on bold mode.
export LESS_TERMCAP_me=$(tput sgr0) # Turn off all attributes.
export LESS_TERMCAP_so=$(tput bold; tput setaf 3) # Begin standout mode.
export LESS_TERMCAP_se=$(tput rmso; tput sgr0) # Exit standout mode.
export LESS_TERMCAP_us=$(tput smul; tput bold; tput setaf 250) # Begin underline mode.
export LESS_TERMCAP_ue=$(tput rmul; tput sgr0) # Exit underline mode.
export LESS_TERMCAP_mr=$(tput rev) # Turn on reverse video mode.
export LESS_TERMCAP_mh=$(tput dim) # Turn on half-bright mode.
export LESS_TERMCAP_ZN=$(tput ssubm) # Enter subscript mode.
export LESS_TERMCAP_ZV=$(tput rsubm) # End subscript mode.
export LESS_TERMCAP_ZO=$(tput ssupm) # Enter superscript mode.
export LESS_TERMCAP_ZW=$(tput rsupm) # End superscript mode.
export LESSHISTFILE="-"
# }}}
# Path {{{
# typeset -U path
path=(~/bin ~/.local/bin ~/.yarn/bin ~/.config/yarn/global/node_modules/.bin /usr/lib/surfraw $path[@])
typeset -U PATH path
path=(~/.local/bin ~/.config/yarn/bin ~/.config/yarn/global/node_modules/.bin /usr/lib/surfraw $path[@])
# }}}
# vim:foldmethod=marker:foldlevel=0

View File

@ -1,4 +1,4 @@
abook
acpid
alsa-utils
android-tools
android-udev
@ -12,6 +12,7 @@ bat
bison
blueman
brandr
broot
bspwm
cadence
chafa
@ -65,6 +66,7 @@ hunspell-es_ar
i3lock-color
iniparser
inkscape
innoextract
intel-ucode
inxi
iputils
@ -74,6 +76,9 @@ jfsutils
jp2a
jq
jre11-openjdk
lib32-alsa-oss
lib32-libpulse
lib32-openal
libmatroska
libzip
licenses
@ -81,6 +86,7 @@ linux-rt-manjaro
logrotate
lrzip
lxappearance-gtk3
lynx
lzop
maim
make
@ -103,15 +109,16 @@ ncdu
ncmpcpp
neomutt
networkmanager
newsboat
nfs-utils
nilfs-utils
nmap
notmuch
noto-fonts-cjk
noto-fonts-emoji
ntfs-3g
offlineimap
os-prober
ossp
p7zip
pacgraph
pacui
@ -128,14 +135,16 @@ perl-term-readline-gnu
perl-text-charwidth
picom
pkgbrowser
pkgfile
polkit-gnome
prettier
pulseaudio-bluetooth
pulseaudio-jack
pygmentize
python-beautifulsoup4
python-glfw
python-language-server
python-lxml
python-matplotlib
python-numpy
python-opengl
python-pdoc
python-pillow
@ -150,40 +159,37 @@ python-rope
python-setproctitle
python-virtualenv
python-wheel
python-xlib
qalculate-gtk
qt5ct
ranger
realtime-privileges
reiserfsprogs
ripgrep
rofi
rp-pppoe
rsync
rtirq
rtv
s-nail
sc3-plugins
sdl2_image
sdl2_mixer
sdl2_ttf
seahorse
shellcheck
smartmontools
source-highlight
spectre-meltdown-checker
sshfs
steam-manjaro
sublime-text
surfraw
sxhkd
systemd-sysvcompat
termite
texlive-fontsextra
texlive-formatsextra
texlive-latexextra
texlive-pictures
texlive-science
tidy
tmux
transmission-cli
ttf-jetbrains-mono
ttf-joypixels
typescript
udisks2
unace
@ -194,8 +200,8 @@ urlscan
usbutils
vice
vint
w3m
weechat
wget
wireless_tools
wmctrl
wmutils
@ -207,7 +213,6 @@ xf86-input-evdev
xf86-input-synaptics
xf86-video-fbdev
xf86-video-intel
xfce4-power-manager
xorg-server
xorg-xbacklight
xorg-xdpyinfo
@ -219,6 +224,8 @@ xorg-xkill
xorg-xsetroot
xorg-xwininfo
xsel
xss-lock
xterm
yapf
yay
zathura-cb

View File

@ -1,8 +1,7 @@
advcp
bashmount
bfs
cozette-otb
create-react-app
cozette-ttf
figlet-fonts
gimp-paint-studio
gimp-plugin-akkana-git
@ -10,15 +9,20 @@ gimp-plugin-create-layer-mask-from
gimp-plugin-duplicate-to-another-image
gimp-plugin-export-layers
gimp-plugin-layer-via-copy-cut
gimp-plugin-layerfx
gimp-plugin-saveforweb
gimp-plugin-scale-layer-to-image-size
git-extras
godot
gog-unreal-tournament-goty
j4-dmenu-desktop
lab
lf
logmein-hamachi
lscolors-git
neovim-drop-in
nerd-fonts-roboto-mono
obs-ndi-bin
otf-san-francisco
perl-extract-url
pmount
@ -31,7 +35,7 @@ stylelint
tcllib
terminus-font-ll2-td1
toilet-fonts
transmission-remote-cli-git
tremc
tweak-hexeditor
unclutter-xfixes-git
xcursor-alkano-default

4
bin/ae
View File

@ -1,4 +0,0 @@
#!/usr/bin/env bash
set -euf -o pipefail
fd --type file --color=always . ~/bin -d=1 | fzf -m --cycle --preview='bat --color=always {}' --height='45%' --select-1 --exit-0 | xargs -r "$EDITOR"

View File

@ -1,4 +0,0 @@
#!/usr/bin/env bash
set -euf -o pipefail
ffmpeg -i "$1" -r 29.97 -vf scale=1280:-1 -vf format=yuv420p -vf crop=710:720:0:0 -c:v libx264 -c:a aac -b:a 128k "$1_cropped.mp4"

View File

@ -1,15 +0,0 @@
#!/bin/bash
pidof python -m FoxDot || {
pkill -9 -f scsynth\ -u\ 57110\ -a\ 116\ -i\ 2\ -o\ 2\ -b\ 65536\ -n\ 32768\ -m\ 131072\ -S\ 44100\ -R\ 0\ -C\ 0\ -l\ 1
pkill -9 -f sclang\ -D\ /home/deadguy/Music/LiveCoding/foxy.scd
sleep 3s
tmux kill-session -t "Deadguy"
}
#pidof python -m FoxDot 2> /dev/null
#if [[ $? -eq 1 ]]; then
# pkill -9 -f scsynth\ -u\ 57110\ -a\ 144\ -i\ 16\ -o\ 16\ -b\ 65536\ -n\ 32768\ -m\ 131072\ -S\ 44100\ -R\ 0\ -C\ 0\ -l\ 1
# pkill -9 -f sclang\ -D\ /home/deadguy/Music/LiveCoding/foxy.scd
#fi

View File

@ -1,41 +0,0 @@
#!/usr/bin/env sh
# A general, all-purpose extraction script.
#
# Default behavior: Extract archive into new directory
# Behavior with `-c` option: Extract contents into current directory
while getopts "hc" o; do case "${o}" in
c) extracthere="True" ;;
*) printf "Options:\\n -c: Extract archive into current directory rather than a new one.\\n" && exit ;;
esac done
if [ -z "$extracthere" ]; then
archive="$(readlink -f "$*")" &&
directory="$(echo "$archive" | sed 's/\.[^\/.]*$//')" &&
mkdir -p "$directory" &&
cd "$directory" || exit
else
archive="$(readlink -f "$(echo "$*" | cut -d' ' -f2)")"
fi
[ "$archive" = "" ] && printf "Give archive to extract as argument.\\n" && exit
if [ -f "$archive" ] ; then
case "$archive" in
*.tar.bz2|*.tar.xz|*.tbz2) tar xvjf "$archive" ;;
*.tar.gz|*.tgz) tar xvzf "$archive" ;;
*.lzma) unlzma "$archive" ;;
*.bz2) bunzip2 "$archive" ;;
*.rar) unrar x -ad "$archive" ;;
*.gz) gunzip "$archive" ;;
*.tar) tar xvf "$archive" ;;
*.zip) unzip "$archive" ;;
*.Z) uncompress "$archive" ;;
*.7z) 7z x "$archive" ;;
*.xz) unxz "$archive" ;;
*.exe) cabextract "$archive" ;;
*) printf "extract: '%s' - unknown archive method\\n" "$archive" ;;
esac
else
printf "File \"%s\" not found.\\n" "$archive"
fi

View File

@ -1,57 +0,0 @@
#!/bin/sh
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; version 2 of the License.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
# GNU General Public License for more details.
case "$1" in
logout)
if [ "$DESKTOP_SESSION" = "fluxbox" ]; then
killall fluxbox
elif [ "$DESKTOP_SESSION" = "openbox" ]; then
openbox --exit
elif [ "$DESKTOP_SESSION" = "i3" ]; then
i3-msg exit
elif [ "$DESKTOP_SESSION" = "bspwm" ]; then
bspc quit 1
else
pkill -KILL -u "$USER"
fi
;;
suspend)
if [ "$(cat /proc/1/comm)" = "systemd" ]; then
systemctl suspend
else
dbus-send --system --dest=org.freedesktop.ConsoleKit --type=method_call --print-reply --reply-timeout=2000 /org/freedesktop/ConsoleKit/Manager org.freedesktop.ConsoleKit.Manager.Suspend boolean:true
fi
;;
hibernate)
if [ "$(cat /proc/1/comm)" = "systemd" ]; then
systemctl hibernate
else
dbus-send --system --dest=org.freedesktop.ConsoleKit --type=method_call --print-reply --reply-timeout=2000 /org/freedesktop/ConsoleKit/Manager org.freedesktop.ConsoleKit.Manager.Hibernate boolean:true
fi
;;
reboot)
if [ "$(cat /proc/1/comm)" = "systemd" ]; then
systemctl reboot
else
dbus-send --system --print-reply --type=method_call --reply-timeout=2000 --dest=org.freedesktop.ConsoleKit /org/freedesktop/ConsoleKit/Manager org.freedesktop.ConsoleKit.Manager.Restart
fi
;;
shutdown)
if [ "$(cat /proc/1/comm)" = "systemd" ]; then
systemctl poweroff
else
dbus-send --system --print-reply --type=method_call --reply-timeout=2000 --dest=org.freedesktop.ConsoleKit /org/freedesktop/ConsoleKit/Manager org.freedesktop.ConsoleKit.Manager.Stop
fi
;;
esac
exit 0

View File

@ -1,7 +0,0 @@
#!/bin/bash
git-download(){
folder=${*/tree\/master/trunk}
folder=${folder/blob\/master/trunk}
svn export "$folder"
}

View File

@ -1,32 +0,0 @@
#!/bin/bash
set -euf -o pipefail
session="Deadguy"
# set up tmux
tmux start-server
# create a new tmux session
tmux new-session -d -s "$session"
# Select pane 1, start scsynth
tmux selectp -t 1
tmux send-keys "scsynth -u 57110" C-m
sleep 3s
# Split pane 1 vertical by 50%, start sclang
tmux splitw -h -p 50
tmux send-keys "sclang -D ~/Music/LiveCoding/foxdot.scd" C-m
sleep 5s
# Create new window, launch foxdot
tmux new-window -t "$session":2
tmux selectp -t 1
tmux send-keys "FoxDot" C-m
# Switch back to the log window
tmux select-window -t :1
# Attach to the session
tmux attach-session -t "$session"

View File

@ -1,11 +0,0 @@
#!/usr/bin/env bash
set -euf -o pipefail
case "$1" in
*/..|*/../) cd -- "$1";; # that doesn't make any sense unless the directory already exists
/*/../*) (cd "${1%/../*}/.." && mkdir -p "./${1##*/../}") && cd -- "$1";;
/*) mkdir -p "$1" && cd "$1";;
*/../*) (cd "./${1%/../*}/.." && mkdir -p "./${1##*/../}") && cd "./$1";;
../*) (cd .. && mkdir -p "${1#.}") && cd "$1";;
*) mkdir -p "./$1" && cd "./$1";;
esac

View File

@ -1,33 +0,0 @@
#!/usr/bin/env bash
set -euf -o pipefail
I=1
M=$(bspc query -M | wc -l)
if [[ "$M" == 1 ]]; then
bspc monitor -d 1 2 3 4 5 6 7 8 9 10
elif [[ "$M" == 2 ]]; then
bspc monitor "$(bspc query -M | awk NR==1)" -d 1 2 3 4 5
bspc monitor "$(bspc query -M | awk NR==2)" -d 6 7 8 9 10
elif [[ "$M" == 3 ]]; then
bspc monitor "$(bspc query -M | awk NR==1)" -d 1 2 3 4
bspc monitor "$(bspc query -M | awk NR==2)" -d 5 6 7
bspc monitor "$(bspc query -M | awk NR==3)" -d 8 9 10
elif [[ "$M" == 4 ]]; then
bspc monitor "$(bspc query -M | awk NR==1)" -d 1 2 3
bspc monitor "$(bspc query -M | awk NR==2)" -d 4 5 6
bspc monitor "$(bspc query -M | awk NR==3)" -d 7 8
bspc monitor "$(bspc query -M | awk NR==4)" -d 9 10
elif [[ "$M" == 5 ]]; then
bspc monitor "$(bspc query -M | awk NR==1)" -d 1 2
bspc monitor "$(bspc query -M | awk NR==2)" -d 3 4
bspc monitor "$(bspc query -M | awk NR==3)" -d 5 6
bspc monitor "$(bspc query -M | awk NR==4)" -d 7 8
bspc monitor "$(bspc query -M | awk NR==5)" -d 9 10
else
for monitor in $(bspc query -M); do
bspc monitor "$monitor" \
-n "$I" \
-d $I/{a,b,c}
(( I++ ))
done
fi

View File

@ -1,7 +0,0 @@
#!/usr/bin/env bash
set -euf -o pipefail
pacman -Qdt
echo "Press ENTER to remove these orphaned packages or CTRL+C to cancel."
read -r
sudo pacman -Rsn "$(pacman -Qqdt)" --noconfirm

View File

@ -1,28 +0,0 @@
#!/usr/bin/env bash
set -euf -o pipefail
rofi_command="rofi -theme customenu"
### Options ###
shutdown="shutdown"
reboot="reboot"
lock="lock"
log_out="log out"
# Variable passed to rofi
options="$shutdown\n$reboot\n$lock\n$log_out"
chosen="$(echo -e "$options" | $rofi_command -dmenu -selected-row 2)"
case $chosen in
$shutdown)
systemctl poweroff
;;
$reboot)
systemctl reboot
;;
$lock)
exeflock4
;;
$log_out)
bspc quit 1
;;
esac

Some files were not shown because too many files have changed in this diff Show More